mui.init();
mui.ready(function() {
	$(function(){
		document.addEventListener("deviceready", onDeviceReady, false);
	})
});

function onDeviceReady() {
	actViewInit();
}

//GIF图片预加载
var gifArray = ["images/act1_h_gif.gif","images/act1_a_gif.gif"];
var gifHome = new Image();
var gifAway = new Image();
gifHome.src = gifArray[0];
gifAway.src = gifArray[1];

//互动页面数据初始化
function actViewInit(){
	//判断是否已参与过该互动
	var actInfo;
	var actArray;
	var eventData;
	var hasJoin = false;
	var actCur;
	cordova.exec(function(result){
		result = JSON.parse(result);
		actInfo = result["actInfo"];
		actArray = result["actArray"];
		eventData = result["eventData"];
		actInfo ? updateStorage("actInfo",actInfo) : "";
		actArray ? updateStorage("actArray",actArray) : "";
		eventData ? updateStorage("eventData",eventData) : "";
		
		// 保存后，清除eventData，解决前端可能出现的，始终返回到互动赛事页面。
　　    cordova.exec(null,null,"MFLinkManagerPlugin","deleteData",["eventData"]);

		//alert(JSON.stringify((actArray))+" --------------------------------------- "+JSON.stringify((actInfo))+" --------------------------------------- "+JSON.stringify((eventData)))
		if(actArray && actArray.length > 0){
			for(var i = 0; i < actArray.length; i ++){
				if(actArray[i].eventInteractId == actInfo.eventInteractId){
					actCur = actArray[i];
					hasJoin = actArray[i].hasJoin;
					break;
				}
			}
		}

		//倒计时
		var endTime = actInfo.endTime;
		var actCd = setInterval(function(){
			var nowTime = (new Date()).getTime() - getStorage().timeDif;
			var remainTime = parseInt((endTime - nowTime)/1000);
			if(remainTime <= 0){
				$("#interactTime").text("00:00");
				clearInterval(actCd);
				navigator.accelerometer.clearWatch(watchID);
			}
			else{
				$("#interactTime").text(cdFormat(remainTime));
			}
		},1000)

		var params = {
			eventId : getStorage().eventData.id,
			timestamp : (new Date()).getTime()
		}
		//设置页面
		cordova.exec(function(sign){
			params.sign = sign;
			$.ajax({
				url:"http://"+domain+"/api/event/event-info",
				type:"post",
				dataType:"json",
				data:params,
				async:false,
				cache:false,
				success:function(data) {
					if(data.result && data.code == "000"){
						var eventData = data.message;
						var homeLogoImg = eventData.homeLogoImg;
						var awayLogoImg = eventData.awayLogoImg;
						var homeTeamName = eventData.homeTeamName;
						var awayTeamName = eventData.awayTeamName;
						$("#teamIconHome").attr("src",homeLogoImg);
						$("#teamIconAway").attr("src",awayLogoImg);
						$(".mui-checkbox").eq(0).attr("teamName",homeTeamName);
						$(".mui-checkbox").eq(1).attr("teamName",awayTeamName);
						$(".mui-checkbox").delegate('[type="checkbox"]','click',function() {
							event.preventDefault();
							return;
						})
						if(!hasJoin){
							actTeamSelect();
						}
						else{
							var idx = actCur.isHome ? 0 : 1;
							$(".mui-checkbox").eq(idx).find('[type="checkbox"]')[0].checked = true;
							$(".picWrap").eq(idx).addClass("block").siblings().removeClass("block");
							actTeamSupport(actCur.isHome);
						}
					}
					else{
						mui.alert(data.message);
					}
				}
			})
		},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);

	},null,"MFLinkManagerPlugin","getData",["actInfo","actArray","eventData"]);
}

//互动球队选择
function actTeamSelect(){
	//选择支持的球队
	mui(".interactPanel").on('tap','.mui-checkbox',function(){
		var _this = $(this);
		var teamName = _this.attr("teamName");
		var isHome = _this.hasClass("itemRadioHome") ? 1 : 0;
		mui.confirm('确定要支持<br/>“'+teamName+'”<br/>队吗？', ' ', ['取消','确定'], function(e) {
			if(e.index == 1){
				_this.find('[type="checkbox"]')[0].checked = true;
				_this.siblings(".mui-checkbox").find('[type="checkbox"]')[0].checked = false;
				mui(".interactPanel").off('tap','.mui-checkbox');
				var idx = isHome ? 0 : 1;
				$(".picWrap").eq(idx).addClass("block").siblings().removeClass("block");
				var actInfo = getStorage().actInfo;
				var actArray = getStorage().actArray;
				for(var i = 0; i < actArray.length; i ++){
					if(actArray[i].eventInteractId == actInfo.eventInteractId){
						actArray[i].isHome = isHome;
						actArray[i].hasJoin = true;
						break;
					}
				}
				cordova.exec(function(){
					updateStorage("actArray",actArray);
					actTeamSupport(isHome);
				},null,"MFLinkManagerPlugin","saveData",[{"actArray":actArray}]);
			}
		})
	});
}

//互动球队助力
var watchID = null;
function actTeamSupport(isHome){
	var dynScore = 0;
	var idx = isHome ? 0 : 1;
	watchID = navigator.accelerometer.watchAcceleration(function(acceleration){
		var x = parseInt(Math.abs(acceleration.x));
		var y = parseInt(Math.abs(acceleration.y));
		var z = parseInt(Math.abs(acceleration.z));
		var dyn = x+y+z;
		dyn > 25 ? dynScore++ : "";
		if(dynScore > 2) { //晃动有效
			$(".picWrap").eq(idx).find(".picGif").addClass("block").css({"background-image":"url("+gifArray[idx]+")"}).siblings(".picStatic").removeClass("block");
			scoreSubmit(isHome);
			dynScore = 0;
		}
		else{
			$(".picWrap").eq(idx).find(".picStatic").addClass("block").siblings(".picGif").removeClass("block").css({"background-image":"none"});
		}
	}, function(){
		mui.alert("您的手机不支持重力感应");
	}, { frequency: 500 });
}

var totalScore = 0;
//有效成绩提交
function scoreSubmit(isHome){
	var eventId = getStorage().eventData.id;
	var eventInteractId = getStorage().actInfo.eventInteractId;
	var params = {
		eventId : eventId,
		interactId : eventInteractId,
		num : 2,
		isHome : isHome,
		timestamp : (new Date()).getTime()
	}
	cordova.exec(function(sign){
		params.sign = sign;
		$.ajax({
			url:"http://"+domain+"/api/interact/support",
			type:"post",
			dataType:"json",
			data:params,
			async:false,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					navigator.vibrate(300);
				}
				else{
					mui.alert(data.message);
				}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}