//将远程指定用户静音，在我们的程序中，TV端要想屏蔽手机端的声音可能不需要此方法，只要用同一个账号登录即可 * @param mute true: 停止播放， false：继续播放
function muteRemoteAudioStream(value,uid) {
	cordova.exec(null,null,"AgoraSDKPlugin","muteRemoteAudioStream",[{"uid":uid, "mute":value}]);
}
//将所有远程指定用户静音 * @param mute true: 停止播放，false：继续播放
function muteAllRemoteAudioStreams(value) {
	value = !value ? true : false;
	cordova.exec(null,null,"AgoraSDKPlugin","muteAllRemoteAudioStreams",[{"value":value}]);
}
//手动获取在线用户以及在线用户通话音量,只有 enableAudioVolumeIndication 打开才能获得音量
function getUserInfoList() {
	cordova.exec(onGetUserInfoListResults,null,"AgoraSDKPlugin","getUserInfoList",[]);
}
//主动获取在线用户以及在线用户通话音量,只有 enableAudioVolumeIndication 打开才能获得音量,用于 Native 主动 向 JS 通报当前 User 信息
function onGetUserInfoList() {
	cordova.addConstructor(function() {
		cordova.exec(onGetUserInfoListResults, null, "AgoraSDKPlugin", "onGetUserInfoList", []);
	});
}
var tt = 0;
//设置讨论组面板成员，音量等信息
function onGetUserInfoListResults(message) {
	var message = JSON.parse(message);
	var hasJoinSelf = false; //底层讨论组成员ID数组是否加入自己
	var array = new Array(); //底层讨论组成员ID数组
	for(var i = 0; i < message.length; i ++){
		var vgId = message[i].uid.toString();
		if(vgId != "0" && vgId != getStorage().userInfo.userId){
			array.push(vgId);
		}
		else if((vgId == "0" || vgId == getStorage().userInfo.userId) && !hasJoinSelf){
			hasJoinSelf = true;
			array.push(getStorage().userInfo.userId);
		}
	}
	//讨论组在线用户更新
	var vgData = getStorage().vgData;
	var vgUsers = vgData ? vgData.vgus : new Array();
	var onlineNum = 0;
	var onlineNumNow = $("#vgList>li.online").length;
	for(var i = 0; i < vgUsers.length; i ++){
		var userId = vgUsers[i].userId;
		var joinTime = vgUsers[i].joinTime || (new Date()).getTime();
		vgUsers[i].joinTime = null;
		for(var j = 0; j < array.length; j ++){
			if(userId == array[j]){
				vgUsers[i].joinTime = joinTime;
				onlineNum ++;
			}
		}
	}
	if(onlineNum != onlineNumNow){
		vgData.vgus = vgUsers;
		updateStorage("vgData",vgData);
		vgPanel();
	}
	//$(".matchBrgTit").text(message.length+"人 讨论组成员: "+JSON.stringify(array)+" "+(++tt));
	vgPanelVolume(message);
}
//讨论组面板音量变化
function vgPanelVolume(vgUsers){
	var userList = $("#vgList>li");
	if(userList.length > 0){
		for(var i = 0; i < vgUsers.length; i ++){
			var vgId = vgUsers[i].uid;
			var vgVolume = vgUsers[i].audiovolume;
			for(var j = 0; j < userList.length; j ++){
				var userItem = userList.eq(j);
				if(vgId == userItem.attr("userId") || (vgId == "0" && userItem.attr("userId") == getStorage().userInfo.userId)){
					userItem.find(".vol").css("height",Math.ceil(vgVolume/255*35));
					break;
				}
			}
		}
	}
}

//讨论组相关初始化
function vgInit(){
	var vgData = getStorage().vgData;
	if(vgData){
		vgIsPage(vgData.eventId,vgData.voiceId);
	}
	vgBind();
}

//事件监听函数
function vgBind(){
	//新建讨论组选择好友页面
	mui("#view-index").on('tap','#discussNew',function() {
		if(!getStorage().userInfo){
			loginTip("建立讨论组需要用户登录，是否登录？");
		}
		else{
			var vgData = getStorage().vgData;
			if(vgData){
				mui.confirm('您已经在“'+vgData.voiceName+'”比赛讨论组中，想建立新讨论组，必须退出当前讨论组', ' ', ['返回讨论组','新建讨论组'], function(e) {
					if(e.index == 1){
						$(".mui-popup-button").last().addClass("mui-disabled");
						setTimeout(function(){
							var params = vgUserExitParams();
							cordova.exec(function(sign){
								params.sign = sign;
								if(vgUserExit(params)){
									vgPanel();
									viewApi.go("#view-discussConfirm");
									getMyFriends();
								}
							},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
						},100)
					}
					else{
						var vgData = getStorage().vgData;
						var eventData = getStorage().eventData;
						if(eventData.id != vgData.eventId){
							eventData.id = vgData.eventId;
							changeChatroom(eventData);
							top.location.href = "match.html";
						}
					}
				})
			}
			else{
				viewApi.go("#view-discussConfirm");
				getMyFriends();
			}
		}
		mui('#popoverFnc').popover('hide');
	})
	//为讨论组选择好友
	$("#myFriendList").delegate('[type="checkbox"]','click',function() {
		event.preventDefault();
		return;
	})
	mui("#myFriendList").on('tap','li',function() {
		var domWrap = $(this);
		if(domWrap.hasClass("disabled")){
			return;
		}
		var memberNum = $("#selectedFriends>img").length;
		var joinedNum = $("#myFriendList>li.disabled").length;
		var checkboxDom = domWrap.find('[type="checkbox"]');
		if (checkboxDom[0].checked) {
			checkboxDom[0].checked = false;
			$("#selectedFriends>img[friendId=" + domWrap.data('id') + "]").remove();
			memberNum = $("#selectedFriends>img").length;
		}
		else {
			if(memberNum + joinedNum < 4){
				checkboxDom[0].checked = true;
				$("#selectedFriends").append('<img friendId=' + domWrap.data("id") + ' src=' + domWrap.find("img").attr("src") + '>');
				memberNum = $("#selectedFriends>img").length;
			}
			else{
				mui.alert("讨论组最多只能选择4位好友")
				return;
			}
		}
		if(memberNum > 0){
			$("#selectedNum").text("("+memberNum+")");
			$("#discussConfirm").removeClass("disabled");
		}
		else{
			$("#selectedNum").text("");
			$("#discussConfirm").addClass("disabled");
		}
	})
	//设置讨论组
	mui("#view-index").on('tap','#discussSet',function() {
		viewApi.go("#view-discussSet");
	})
	//退出讨论组
	mui("#view-discussSet").on('tap','#discussExit',function() {
		var $this = $(this);
		if($this.hasClass("mui-disabled")){
			return;
		}
		$this.addClass("mui-disabled");
		var params = vgUserExitParams();
		cordova.exec(function(sign){
			params.sign = sign;
			if(vgUserExit(params)){
				vgPanel();
				viewApi.back();
				$this.removeClass("mui-disabled");
			}
			else{
				$this.removeClass("mui-disabled");
			}
		},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
	})
	//删除讨论组成员
	mui("#view-discussSet").on('tap','#mbrReduce',function() {
		viewApi.go("#view-discussConfirm");
		getVgUsersDel();
	})
	//增加讨论组成员
	mui("#view-discussSet").on('tap','#mbrAdd',function() {
		viewApi.go("#view-discussConfirm");
		getVgUsersAdd();
	})
	//创建讨论组,删除讨论组成员，增加讨论组成员
	mui("#view-wrap").on('tap','#discussConfirm',function() {
		var $this = $(this);
		if($this.hasClass("disabled")){
			return;
		}
		$this.addClass("disabled");
		if($this.hasClass("discussDel") || $this.hasClass("discussAdd")){
			var uids = "";
		}
		else{
			var uids = getStorage().userInfo.userId+",";
		}
		var list = $("#selectedFriends>img");
		for(var i = 0; i < list.length; i ++){
			if(i >= list.length - 1){
				uids += list.eq(i).attr("friendId");
			}
			else{
				uids += list.eq(i).attr("friendId")+",";
			}
		}
		if($this.hasClass("discussDel") && getStorage().vgData){
			vgUserDel(uids);
		}
		else if($this.hasClass("discussAdd") && getStorage().vgData){
			vgUsersAdd(uids);
		}
		else{
			vgCreate(uids);
		}
	})
	//讨论组静音控制
	mui("body").on('tap','#micIcon',function() {
		setMuteState();
	})
	//讨论组手机播放声音
	document.getElementById("voiceSwitchMobile").addEventListener("toggle",function(event){
		var userInfo = getStorage().userInfo;
		var isActive = event.detail.isActive;
		userInfo.isPhoneVoice = isActive ? 1 : 0;
		muteAllRemoteAudioStreams(userInfo.isPhoneVoice);
		if(getStorage().linkData.state == 2){
			userInfo.isTvVoice = isActive ? 0 : 1;
			toggleMute(userInfo.isTvVoice);
			if(userInfo.isTvVoice){
				$("#voiceSwitchTV").addClass("mui-active");
			}
			else{
				$("#voiceSwitchTV").removeClass("mui-active");
			}
		}
		updateStorage("userInfo",userInfo);
		$("#voiceSwitchDND").removeClass("mui-active");
		//alert(getStorage().userInfo.isPhoneVoice+" "+getStorage().userInfo.isTvVoice)
	},false)
	//讨论组电视播放声音
	document.getElementById("voiceSwitchTV").addEventListener("toggle",function(event){
		var userInfo = getStorage().userInfo;
		var isActive = event.detail.isActive;
		userInfo.isTvVoice = isActive ? 1 : 0;
		toggleMute(userInfo.isTvVoice);
		userInfo.isPhoneVoice = isActive ? 0 : 1;
		muteAllRemoteAudioStreams(userInfo.isPhoneVoice);
		if(userInfo.isPhoneVoice){
			$("#voiceSwitchMobile").addClass("mui-active");
		}
		else{
			$("#voiceSwitchMobile").removeClass("mui-active");
		}
		updateStorage("userInfo",userInfo);
		$("#voiceSwitchDND").removeClass("mui-active");
		//alert(getStorage().userInfo.isPhoneVoice+" "+getStorage().userInfo.isTvVoice)
	},false)
	//讨论组免打扰
	document.getElementById("voiceSwitchDND").addEventListener("toggle",function(event){
		var userInfo = getStorage().userInfo;
		var isActive = event.detail.isActive;
		if(isActive){
			userInfo.isTvVoice = 0;
			$("#voiceSwitchTV").removeClass("mui-active");
			userInfo.isPhoneVoice = 0;
			$("#voiceSwitchMobile").removeClass("mui-active");
		}
		else{
			if(getStorage().linkData &&　getStorage().linkData.state == 2) { //设备已连接
				userInfo.isTvVoice = 1;
				$("#voiceSwitchTV").addClass("mui-active");
				userInfo.isPhoneVoice = 0;
				$("#voiceSwitchMobile").removeClass("mui-active");
			}
			else{ //设备未连接
				userInfo.isTvVoice = 0;
				$("#voiceSwitchTV").removeClass("mui-active");
				userInfo.isPhoneVoice = 1;
				$("#voiceSwitchMobile").addClass("mui-active");
			}
		}
		toggleMute(userInfo.isTvVoice);
		muteAllRemoteAudioStreams(userInfo.isPhoneVoice);
		updateStorage("userInfo",userInfo);
	},false)
}

//讨论组面板生成
function vgPanel(){
	$("#vgList").html("");
	if(getStorage().vgData && getStorage().vgData.vgus){
		var vgUsers = getStorage().vgData.vgus;
		//alert(vgUsers.length+"人 "+JSON.stringify(vgUsers))
		for(var i = 0; i < vgUsers.length; i ++){
			var userId = vgUsers[i].userId;
			var userName = vgUsers[i].userName || userId;
			var userIcon = vgUsers[i].userIcon;
			var joinTime = vgUsers[i].joinTime;
			var mbrHtml = "";
			joinTime ? mbrHtml += '<li class="online" userId='+userId+'>' : mbrHtml += '<li userId='+userId+'>';
			mbrHtml += '<div class="prt">';
			if(userIcon){
				mbrHtml += '<div class="iconfont bg" style="display:none;">&#xe618;</div><img src=\"'+userIcon+'\" onerror="imgError(this,0)"/>';
			}
			else{
				mbrHtml += '<div class="iconfont bg">&#xe618;</div><img src=\"'+userIcon+'\" style="display:none;"/>';
			}
			mbrHtml += '</div><h5 class="name f-toe">'+userName+'</h5><div class="volume"><div class="bg"></div><div class="vol"></div></div></li>';

			if(i == 0){
				$("#vgList").append(mbrHtml);
			}
			else if(joinTime){
				if($("#vgList>li.online").length > 0){
					$("#vgList>li.online").last().after(mbrHtml);
				}
				else{
					$("#vgList").append(mbrHtml);
				}
			}
			else{
				$("#vgList").append(mbrHtml);
			}
		}
		$("#micIcon").show();
		$("#vgGroup").removeClass("hide");
		$("#barrageList").addClass("barrageListVg");
	}
	else{
		$("#micIcon").hide();
		$("#vgGroup").addClass("hide");
		$("#barrageList").removeClass("barrageListVg");
	}
	vgSetPanel();
}

//讨论组设置页面成员列表
function vgSetPanel(){
	$("#groupMbrs").html("");
	if(getStorage().vgData && getStorage().vgData.vgus){
		var vgUsers = getStorage().vgData.vgus;
		for(var i = 0; i < vgUsers.length; i ++){
			var userId = vgUsers[i].userId;
			var userName = vgUsers[i].userName || userId;
			var userIcon = vgUsers[i].userIcon;
			var joinTime = vgUsers[i].joinTime;
			var mbrHtml = '';
			joinTime ? mbrHtml += '<li class="online">' : mbrHtml += '<li>';
			mbrHtml += '<div class="prt">';
			if(userIcon){
				mbrHtml += '<div class="iconfont bg" style="display:none;">&#xe618;</div><img src=\"'+userIcon+'\" onerror="imgError(this,0)"/>';
			}
			else{
				mbrHtml += '<div class="iconfont bg">&#xe618;</div><img src=\"'+userIcon+'\" style="display:none;"/>';
			}
			mbrHtml += '</div><p class="name f-toe">'+userName+'</p></li>';
			if(i == 0){
				$("#groupMbrs").append(mbrHtml);
			}
			else if(joinTime){
				if($("#groupMbrs>li.online").length > 0){
					$("#groupMbrs>li.online").last().after(mbrHtml);
				}
				else{
					$("#groupMbrs").append(mbrHtml);
				}
			}
			else{
				$("#groupMbrs").append(mbrHtml);
			}
		}
		var isOwner = vgUsers[0].userId == getStorage().userInfo.userId ? true : false;
		if(isOwner){
			$("#groupMbrs").append('<li id="mbrAdd" class="mbrAdd"><div class="btn"></div></li><li id="mbrReduce" class="mbrReduce"><div class="btn"></div></li>');
		}
		getConnectState();
	}
	else{
		if(viewApi.canBack() && ($("#view-wrap").find("#view-discussSet").length > 0 || $("#view-wrap").find("#view-discussConfirm").length > 0)){
			viewApi.back();
		}
	}
}

//讨论组设置页面开关
function vgSetSwitch(){
	var userInfo = getStorage().userInfo;
	if(userInfo){
		var isPhoneVoice = userInfo.isPhoneVoice;
		var isTvVoice = userInfo.isTvVoice;
		if(isPhoneVoice === null){
			userInfo.isPhoneVoice = 1;
			$("#voiceSwitchMobile").addClass("mui-active");
		}
		else{
			if(isPhoneVoice){
				$("#voiceSwitchMobile").addClass("mui-active");
			}
			else{
				$("#voiceSwitchMobile").removeClass("mui-active");
			}
		}
		if(isTvVoice === null){
			userInfo.isTvVoice = 0;
			$("#voiceSwitchTV").removeClass("mui-active");
		}
		else{
			if(isTvVoice){
				$("#voiceSwitchTV").addClass("mui-active");
			}
			else{
				$("#voiceSwitchTV").removeClass("mui-active");
			}
		}
		var vgData = getStorage().vgData;
		if(getStorage().linkData &&　getStorage().linkData.state == 2){ //设备已连接
			$("#voiceSwitchTV").removeClass("mui-disabled");
			if(vgData && !(vgData.linkConnected)){
				userInfo.isTvVoice = 1;
				$("#voiceSwitchTV").addClass("mui-active");
				joinVoiceChannel(vgData.voiceId,userInfo.userId);
				toggleMute(userInfo.isTvVoice);
				userInfo.isPhoneVoice = 0;
				$("#voiceSwitchMobile").removeClass("mui-active");
			}
			else{
				toggleMute(userInfo.isTvVoice);
			}
		}
		else{ //设备未连接
			$("#voiceSwitchTV").addClass("mui-disabled");
			if(vgData && vgData.linkConnected){
				userInfo.isTvVoice = 0;
				$("#voiceSwitchTV").removeClass("mui-active");
				var vgData = getStorage().vgData;
				delete vgData.linkConnected;
				updateStorage("vgData",vgData,true);
				userInfo.isPhoneVoice = 1;
				$("#voiceSwitchMobile").addClass("mui-active");
			}
			else{
				toggleMute(userInfo.isTvVoice);
			}
		}
		muteAllRemoteAudioStreams(userInfo.isPhoneVoice);
		updateStorage("userInfo",userInfo);
		//alert("手机:"+userInfo.isPhoneVoice+" 电视:"+userInfo.isTvVoice)
	}
}

//讨论组创建
function vgCreate(uids){
	var params = {
		eid : getStorage().eventData.id,
		uids : uids,
		timestamp : (new Date()).getTime()
	}
	cordova.exec(function(result){
		params.sign = result;
		$.ajax({
			url:"http://"+domain+"/api/voice/cvg",
			type:"post",
			dataType:"json",
			data:params,
			async:true,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					var vgData = new Object();
					vgData.vgus = data.message.vgus;
					vgData.voiceId = data.message.vgId;
					vgData.voiceName = data.message.keyword;
					vgData.eventId = getStorage().eventData.id;
					updateStorage("vgData",vgData,true);
					vgPanel();
					//免打扰重置为关闭
					$("#voiceSwitchDND").removeClass("mui-active");
					//语音通讯设置
					createEngine(getStorage().vgData.voiceId,getStorage().userInfo.userId,getStorage().vgData.voiceName);
					//Android 需要先注册 onGetUserInfoList 方法
					getUserInfoList();
					onGetUserInfoList();
					viewApi.back();
					$("#discussConfirm").removeClass("disabled");
					window.plugins.toast.show('创建讨论组成功', 'short', 'bottom');
					//统计分析
					analyticsSend("voicegroup-create",{"matchCategory":getStorage().eventData.eventTypeName,"number":uids.split(",").length});
				}
				else{
					$("#discussConfirm").removeClass("disabled");
					if(data.code == "501"){

					}
					else{
						mui.alert(data.message);
					}
				}
			},
			complete : function(XMLHttpRequest,status){ //请求完成后最终执行参数
				if(status == 'timeout'){
					$("#discussConfirm").removeClass("disabled");
					if($(".mui-toast-container.mui-active").length <= 0){
						mui.toast("请求超时",1000);
					}
				}
				else if(status == 'error'){
					$("#discussConfirm").removeClass("disabled");
					if($(".mui-toast-container.mui-active").length <= 0){
						mui.toast("网络异常，请检查您的网络",3000);
					}
				}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}

//讨论组用户获取
function vgUsersGet(){
	if(getStorage().vgData){
		var params = {
			vgid : getStorage().vgData.voiceId,
			timestamp : (new Date()).getTime()
		}
		cordova.exec(function(result){
			params.sign = result;
			$.ajax({
				url:"http://"+domain+"/api/voice/vgus",
				type:"post",
				dataType:"json",
				data:params,
				async:true,
				cache:false,
				success:function(data) {
					if(data.result && data.code == "000"){
						var vgData = getStorage().vgData;
						vgData.vgus = data.message;
						//alert("讨论组用户获取: "+JSON.stringify(data.message))
						updateStorage("vgData",vgData,true);
						vgPanel();
					}
					else{
						mui.alert(data.message);
					}
				}
			})
		},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
	}
	else{
		vgPanel();
	}
}

//讨论组用户添加
function vgUsersAdd(uids){
	var params = {
		vgid : getStorage().vgData.voiceId,
		uids : uids,
		timestamp : (new Date()).getTime()
	}
	cordova.exec(function(result){
		params.sign = result;
		$.ajax({
			url:"http://"+domain+"/api/voice/avgu",
			type:"post",
			dataType:"json",
			data:params,
			async:true,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					var vgData = getStorage().vgData;
					vgData.vgus = data.message;
					updateStorage("vgData",vgData,true);
					vgPanel();
					viewApi.back();
				}
				else{
					if(data.code == "501"){
					}
					else{
						mui.alert(data.message);
					}
				}
				$("#discussConfirm").removeClass("disabled");
			},
			complete : function(XMLHttpRequest,status){ //请求完成后最终执行参数
				if(status == 'timeout'){
					$("#discussConfirm").removeClass("disabled");
					if($(".mui-toast-container.mui-active").length <= 0){
						mui.toast("请求超时",1000);
					}
				}
				else if(status == 'error'){
					$("#discussConfirm").removeClass("disabled");
					if($(".mui-toast-container.mui-active").length <= 0){
						mui.toast("网络异常，请检查您的网络",3000);
					}
				}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}

//讨论组用户删除
function vgUserDel(uids){
	var params = {
		oid : getStorage().userInfo.userId,
		uids : uids,
		vgid : getStorage().vgData.voiceId,
		timestamp : (new Date()).getTime()
	}
	cordova.exec(function(result){
		params.sign = result;
		$.ajax({
			url:"http://"+domain+"/api/voice/del",
			type:"post",
			dataType:"json",
			data:params,
			async:true,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					var vgData = getStorage().vgData;
					vgData.vgus = data.message;
					updateStorage("vgData",vgData,true);
					vgPanel();
					viewApi.back();
				}
				else{
					mui.alert(data.message);
				}
				$("#discussConfirm").removeClass("disabled");
			},
			complete : function(XMLHttpRequest,status){ //请求完成后最终执行参数
				if(status == 'timeout'){
					$("#discussConfirm").removeClass("disabled");
					if($(".mui-toast-container.mui-active").length <= 0){
						mui.toast("请求超时",1000);
					}
				}
				else if(status == 'error'){
					$("#discussConfirm").removeClass("disabled");
					if($(".mui-toast-container.mui-active").length <= 0){
						mui.toast("网络异常，请检查您的网络",3000);
					}
				}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}

//获取我的好友
function getMyFriends(){
	$("#discussConfirm").removeClass().addClass("sfConfirm disabled");
	$("#myFriendList").html("");
	$("#selectedFriends").html("");
	$("#selectedNum").text("");
	var params = {
		userId : getStorage().userInfo.userId,
		friendNickName : "",
		startIndex : 0,
		pageSize : 1000,
		timestamp : (new Date()).getTime()
	}
	cordova.exec(function(result){
		params.sign = result;
		$.ajax({
			url:"http://"+domain+"/api/friend/listMyFriends",
			type:"post",
			dataType:"json",
			data:params,
			async:true,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					var friendsList = data.message.page.list;
					for(var i = 0; i < friendsList.length; i++){
						var friendId = friendsList[i].friendId;
						var friendName = friendsList[i].nickName ? friendsList[i].nickName : friendId;
						var friendImg = friendsList[i].userIcon || "images/prtDefault.jpg";
						var fullChars = pinyin.getFullChars(friendName);
						var camelChars = pinyin.getCamelChars(friendName);
						$("#myFriendList").append('<li data-id='+friendId+' class="mui-table-view-cell mui-indexed-list-item" data-value='+camelChars+' data-tags='+fullChars+'|'+friendId+'><div class="itemRadio mui-checkbox"><input type="checkbox"></div><img class="bookPrt" onerror="imgError(this,1)" src='+friendImg+'><p class="bookName">'+friendName+'</p></li>');
					}
					muiIndexedList();
				}
				else{
					mui.alert(data.message);
				}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}

//删除成员列表
function getVgUsersDel(){
	$("#discussConfirm").removeClass().addClass("sfConfirm discussDel disabled");
	$("#myFriendList").html("");
	$("#selectedFriends").html("");
	$("#selectedNum").text("");
	var usersList = getStorage().vgData.vgus;
	for(var i = 1; i < usersList.length; i++){
		var userId = usersList[i].userId;
		var userName = usersList[i].userName || userId;
		var userIcon = usersList[i].userIcon || "images/prtDefault.jpg";
		var fullChars = pinyin.getFullChars(userName);
		var camelChars = pinyin.getCamelChars(userName);
		$("#myFriendList").append('<li data-id='+userId+' class="mui-table-view-cell mui-indexed-list-item" data-value='+camelChars+' data-tags='+fullChars+'|'+userId+'><div class="itemRadio mui-checkbox"><input type="checkbox"></div><img class="bookPrt" onerror="imgError(this,1)" src='+userIcon+'><p class="bookName">'+userName+'</p></li>');
	}
	muiIndexedList();
}

//增加成员列表
function getVgUsersAdd(){
	$("#discussConfirm").removeClass().addClass("sfConfirm discussAdd disabled");
	$("#myFriendList").html("");
	$("#selectedFriends").html("");
	$("#selectedNum").text("");
	var params = {
		userId : getStorage().userInfo.userId,
		friendNickName : "",
		startIndex : 0,
		pageSize : 1000,
		timestamp : (new Date()).getTime()
	}
	cordova.exec(function(result){
		params.sign = result;
		$.ajax({
			url:"http://"+domain+"/api/friend/listMyFriends",
			type:"post",
			dataType:"json",
			data:params,
			async:true,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					var total = 0;
					var friendsList = data.message.page.list;
					for(var i = 0; i < friendsList.length; i++){
						var friendId = friendsList[i].friendId;
						var friendName = friendsList[i].nickName ? friendsList[i].nickName : friendId;
						var friendImg = friendsList[i].userIcon || "images/prtDefault.jpg";
						var fullChars = pinyin.getFullChars(friendName);
						var camelChars = pinyin.getCamelChars(friendName);
						var myFriendHtml = "";
						if(!getStorage().vgData){
							myFriendHtml = '<li data-id='+friendId+' class="mui-table-view-cell mui-indexed-list-item" data-value='+camelChars+' data-tags='+fullChars+'|'+friendId+'><div class="itemRadio mui-checkbox"><input type="checkbox"></div><img class="bookPrt" onerror="imgError(this,1)" src='+friendImg+'><p class="bookName">'+friendName+'</p></li>';
							$("#myFriendList").append(myFriendHtml);
						}
						else{
							var isSelect = false;
							for(var j = 0; j < getStorage().vgData.vgus.length; j ++){
								if(friendId == getStorage().vgData.vgus[j].userId){
									myFriendHtml = '<li data-id='+friendId+' class="mui-table-view-cell mui-indexed-list-item disabled" data-value='+camelChars+' data-tags='+fullChars+'|'+friendId+'><div class="itemRadio mui-checkbox"><input type="checkbox" checked></div><img class="bookPrt" onerror="imgError(this,1)" src='+friendImg+'><p class="bookName">'+friendName+'</p></li>';
									total <= 0 ? $("#myFriendList").prepend(myFriendHtml) : $("#myFriendList>li").eq(total-1).after(myFriendHtml);
									//$("#selectedFriends").append('<img friendId='+friendId+' src='+friendImg+'>');
									total ++;
									isSelect = true;
									break;
								}
							}
							if($("#selectedFriends>img").length > 0){
								$("#selectedNum").text("("+$("#selectedFriends>img").length+")");
							}
							else{
								$("#selectedNum").text("");
							}
							if(!isSelect){
								myFriendHtml = '<li data-id='+friendId+' class="mui-table-view-cell mui-indexed-list-item" data-value='+camelChars+' data-tags='+fullChars+'|'+friendId+'><div class="itemRadio mui-checkbox"><input type="checkbox"></div><img class="bookPrt" onerror="imgError(this,1)" src='+friendImg+'><p class="bookName">'+friendName+'</p></li>';
								$("#myFriendList").append(myFriendHtml);
							}
						}
					}
					muiIndexedList();
				}
				else{
					mui.alert(data.message);
				}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}