mui.init();
mui.ready(function() {
	//初始化滚动区域
	mui('.mui-scroll-wrapper').scroll({
		indicators: false,
		deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
	});
	$(function(){
		document.addEventListener("deviceready", onDeviceReady, false);
	})
});

function onDeviceReady(){
	//赛事分类编辑页面
	if($("#pageLeague").length > 0){
		leagueInit();
		leagueOperate();
		mui("body").on('tap','#backIndex',function(){
			history.back();
		})
	}
	//个人中心页面
	if($("#pageVipCenter").length > 0){
		vipCenterInfo();
		eventRemindInit();
	}
	//首页
	if($("#pageIndex").length > 0){		
		
		clearhEventItemHtml();

		mui("body").on('tap','#goLeague',function(){
			top.location.href = "league.html";
		})
		getStorage().vgData ? $("#backMatch").show() : $("#backMatch").hide();
		mui("body").on('tap','#backMatch',function(){
			var eventData = getStorage().eventData;
			eventData.id = getStorage().vgData.eventId;
			changeChatroom(eventData);
			top.location.href = "match.html";
		})
		mui("body").on('tap','#backToday',function(){
			var startY = getStorage().eventArrayData.typeData[getStorage().eventArrayData.typeCur].startY;
			mui('#pullrefresh').pullRefresh().scrollTo(0,-startY,0);
			$("#backToday").removeClass("down");
		})
		//scroll位置记录
		var scrollY = 0;
		mui("#pullrefresh").on('dragstart','#eventList',function(){
			scrollY = parseInt((this.parentNode.style.webkitTransform).split(",")[1]);
			scrollY > 0 ? scrollY = 0 : "";
		})
		mui("#pullrefresh").on('drag','#eventList',function(){
			scrollY = parseInt((this.parentNode.style.webkitTransform).split(",")[1]);
			scrollY > 0 ? scrollY = 0 : "";
		})
		mui("#pullrefresh").on('dragend','#eventList',function(){
			var eventArrayData = getStorage().eventArrayData;
			eventArrayData.typeData[eventArrayData.typeCur].scrollY = scrollY;
			updateStorage("eventArrayData",eventArrayData,true);
			scrollY = 0;
		})
		//列表滚动检测控制箭头方向
		setInterval(function(){
			var startY = getStorage().eventArrayData.typeData[getStorage().eventArrayData.typeCur].startY;
			var curY = Math.abs(parseInt((document.getElementById("eventList").parentNode.style.webkitTransform).split(",")[1]));
			if(startY > curY){
				$("#backToday").addClass("down");
			}
			else{
				$("#backToday").removeClass("down");
			}
		},500)
		//点击切换类型
		mui("#eventTypeList").on('tap','a',function(){
			var eventArrayData = getStorage().eventArrayData;
			var index = $(this).index();
			if(eventArrayData.typeCur != index){
				eventArrayData.typeCur = index;
				updateStorage("eventArrayData",eventArrayData,true);
				eventTypeChange();
			}
		})

		/*if(getStorage().eventArrayData){
		 alert("数据长度："+JSON.stringify(getStorage().eventArrayData).length+" 共"+getStorage().eventArrayData.typeData.length+"类数据 历史浏览数据为第"+(getStorage().eventArrayData.typeCur+1)+"项")
		 }*/
		eventTypeInit();

		linkConfig();
	}
}

//赛事数据HTML更新
function leagueHtmlUpdate(data) {
	var dataAdded = data.added;
	var dataNoAdded = data.notAddeds;
	var htmlAdded = "",
		htmlNoAdded = "";
	for(var i = 0; i < dataAdded.length; i ++){
		var item = dataAdded[i];
		htmlAdded += '<li class="f-box" data-info=\''+JSON.stringify(item)+'\'><div class="leagueDel"><span class="ico"></span></div><img class="logo" src='+item.imgUrl+'><p class="name f-flex">'+item.name+'</p><span class="leagueDrag mui-icon mui-icon-bars"></span></li>';
	}
	for(var i = 0; i < dataNoAdded.length; i ++){
		var item = dataNoAdded[i];
		htmlNoAdded += '<li class="f-box" data-info=\''+JSON.stringify(item)+'\'><img class="logo" src='+item.imgUrl+'><p class="name f-flex">'+item.name+'</p><div class="leagueAdd"><span class="ico"></span></div></li>';
	}
	$("#leagueListAdded").html(htmlAdded);
	$("#leagueListNoAdded").html(htmlNoAdded);
}

//赛事数据初始化
function leagueInit() {
	if(getStorage().userInfo){
		var userId = getStorage().userInfo.userId;
		var deviceId = "";
	}
	else{
		var userId = "";
		var deviceId = getStorage().deviceInfo.deviceId;
	}
	var params = {
		userId : userId,
		deviceId : deviceId,
		timestamp : (new Date()).getTime()
	}
	cordova.exec(function(result){
		params.sign = result;
		$.ajax({
			url:"http://"+domain+"/api/usereventtype/type-list",
			type:"post",
			dataType:"json",
			data:params,
			async:true,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					leagueHtmlUpdate(data.message);
					var len = data.message.added.length-1;
					var it = data.message.added[len]	;
                    baseOrder = it.sortOrder;
				}
				else{
					mui.alert(data.message);
				}
			},complete : function(jqXHR,status){ //请求完成后最终执行参数
					if(status == 'timeout'){						
						$("#offline").css("display","block");
						$(".hidenav").css("display","none");
						$(".mui-pull").css("display","none");
						$(".mui-content").css("display","none");
					}
					else if(status == 'error'){
						$("#offline").css("display","block");
						$(".hidenav").css("display","none");
						$(".mui-pull").css("display","none");
						$(".mui-content").css("display","none");
					}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}

//联赛相关操作
var baseOrder = 0;
function leagueOperate() {
	//toggle已添加赛事
	$("#leagueToggle").click(function () {
		var $this = $(this);
		$this.toggleClass("arrowDown");
		$this.parents(".leagueTit").next(".leagueList").toggle();
	})
	//添加赛事
	$(".leagueList").delegate(".leagueAdd","click",function () {
		var itemElm = $(this).parents("li");
		var leagueData = itemElm.data("info");
		if(getStorage().userInfo){
			var userId = getStorage().userInfo.userId;
			var deviceId = "";
		}
		else{
			var userId = "";
			var deviceId = getStorage().deviceInfo.deviceId;
		}
		baseOrder = baseOrder - 1;
		var params = {
			eventTypeId : leagueData.id,
			userId : userId,
			deviceId : deviceId,
			sortOrder : baseOrder,
			timestamp : (new Date()).getTime()
		}
		cordova.exec(function(result){
			params.sign = result;
			$.ajax({
				url:"http://"+domain+"/api/usereventtype/type-add",
				type:"post",
				dataType:"json",
				data:params,
				async:true,
				cache:false,
				success:function(data) {
					if(data.result && data.code == "000"){
						leagueHtmlUpdate(data.message);
						var dandanStorage = getStorage();
						delete dandanStorage.eventArrayData;
						setStorage(dandanStorage);
					}
					else{
						mui.alert(data.message);
					}
				}
			})
		},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
	})
	//移除赛事
	$(".leagueList").delegate(".leagueDel","click",function () {
		var leagueData = $(this).parents("li").data("info");
		var len = $(".leagueDel").length;
		if(getStorage().userInfo){
			var userId = getStorage().userInfo.userId;
			var deviceId = "";
		}
		else{
			var userId = "";
			var deviceId = getStorage().deviceInfo.deviceId;
		}
		if(len <= 1){
			mui.alert("不能全部删除哦")
			return ;
		}
		var params = {
			id : leagueData.id,
			userId : userId,
			deviceId : deviceId,
			timestamp : (new Date()).getTime()
		}
		cordova.exec(function(result){
			params.sign = result;
			$.ajax({
				url:"http://"+domain+"/api/usereventtype/type-remove",
				type:"post",
				dataType:"json",
				data:params,
				async:true,
				cache:false,
				success:function(data) {
					if(data.result && data.code == "000"){
						leagueHtmlUpdate(data.message);
						var dandanStorage = getStorage();
						delete dandanStorage.eventArrayData;
						setStorage(dandanStorage);
					}
					else{
						mui.alert(data.message);
					}
				}
			})
		},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
	})
	//赛事排序
	/*$(".leagueList").delegate(".leagueDrag","touchstart",function(){
		if($("#leagueListAdded>li").length > 1) {
			window.dragging = new Object();
			var dom = $(this).parents("li");
			var top = dom[0].offsetTop;
			var domClone = dom.clone();
			$("#leagueListAdded").append(domClone);
			domClone.addClass("dragging").css("top",top);
			dragging.dom = domClone;
			dragging.top = top;
		}
	})
	$(".leagueList").delegate(".leagueDrag","touchmove",function(event){

	})
	$(".leagueList").delegate(".leagueDrag","touchsend",function(){

	})*/
}

//我的赛事预约数据初始化
function eventRemindInit() {
	if(getStorage().userInfo){
		var userId = getStorage().userInfo.userId;
		var deviceId = "";
	}
	else{
		var userId = "";
		var deviceId = getStorage().deviceInfo.deviceId;
	}
	var params = {
		userId : userId,
		deviceId : deviceId,
		pageNo : 1,
		pageSize : 1000,
		timestamp : (new Date()).getTime()
	}
	cordova.exec(function(result){
		params.sign = result;
		$.ajax({
			url:"http://"+domain+"/api/eventremind/remind-list",
			type:"post",
			dataType:"json",
			data:params,
			async:true,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					var eventList = data.message.page.list;
					for (var i = 0; i < eventList.length; i++) {
						$('#eventRemindList').append(getEventItemHtml(eventList[i],1));
					}
					$("#eventRemindNum").text(eventList.length > 0 ? "("+eventList.length+")" : "");
				}
				else{
					mui.alert(data.message);
				}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}

//用户中心信息初始化
function vipCenterInfo(){
	if(getStorage().userInfo){ //登录
		$("#vipUserName").text(getStorage().userInfo.nickName || "");
		$("#vipUserSign").text(getStorage().userInfo.userSignature || "这家伙很懒，什么都没有留下");
		$("#vipUserPrt").attr("src",getStorage().userInfo.userIcon || "images/prtDefault.jpg");
		$("#vipUserLogin").attr("href","vipInfo.html");
		$("#vipAdrBook").show();
		
		//此代码不能放在ajax中，放了之后点击头像无反应
		var userId = getStorage().userInfo ? getStorage().userInfo.userId : "0";
		// 积分跨域：这里存储时不能用 eventData，跟之前的代码有冲突
		// 积分跨域：这里存储时不能用 eventData，跟之前的代码有冲突
		cordova.exec(function(result) {}, function(result) {}, "MFLinkManagerPlugin", "saveData", [{
			"userInfo_point": getStorage().userInfo
		}]);
	}
	else{ //未登录
		$("#vipUserName").text("未登录");
		$("#vipUserSign").text("点击头像登录");
		$("#vipUserPrt").attr("src","images/prtLogout.jpg");
		$("#vipUserLogin").attr("href","login.html");
		$("#vipAdrBook").hide();
	}
}

//赛事类型数据初始化
function eventTypeInit(){
	var eventArrayData = getStorage().eventArrayData;
	if(eventArrayData){
		var dateYear = new Date().getFullYear();
		var dateMonth = new Date().getMonth();
		var dateDay = new Date().getDate();

		// 任意一个时间不相同都应该删除
		if(dateYear != eventArrayData.dateYear ||　dateMonth != eventArrayData.dateMonth || dateDay != eventArrayData.dateDay){

			var dandanStorage = getStorage();
			delete dandanStorage.eventArrayData;
			setStorage(dandanStorage);
		}
		var typeCur = eventArrayData.typeCur;
		var typeData = eventArrayData.typeData;
		eventListLoad(typeData[typeCur]);
	}
	if(getStorage().userInfo){
		var userId = getStorage().userInfo.userId;
		var deviceId = "";
	}
	else{
		var userId = "";
		var deviceId = getStorage().deviceInfo.deviceId;
	}
	var params = {
		userId : userId,
		deviceId : deviceId,
		timestamp : (new Date()).getTime()
	}
	var eventTypeArrayData = new Array();
	cordova.exec(function(result){
		params.sign = result;
		$.ajax({
			url:"http://"+domain+"/api/usereventtype/type-list",
			type:"post",
			dataType:"json",
			data:params,
			async:true,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					var typesHtml = '';
					var eventArrayData = getStorage().eventArrayData;
					var eventArrayNew = new Object();
					if(!eventArrayData){
						eventArrayNew.dateYear = new Date().getFullYear();
						eventArrayNew.dateMonth = new Date().getMonth();
						eventArrayNew.dateDay = new Date().getDate();
						eventArrayNew.typeCur = 0;
						eventArrayNew.typeData = new Array();
						eventArrayNew.typeData.push(eventsDataInit());
						typesHtml += '<a class="mui-control-item" typeId="">全部</a>';
						for(var i = 0; i < data.message.added.length; i ++){
							var item = data.message.added[i];
							eventArrayNew.typeData.push(eventsDataInit(item.eventTypeId,item.name));
							typesHtml += '<a class="mui-control-item" typeId='+item.eventTypeId+'>'+item.name+'</a>';
							eventTypeArrayData.push(item.eventTypeId);
						}
					}
					else{
						// 创建 eventArray 需要有时间,这样才不会被删除
						eventArrayNew.dateYear = eventArrayData.dateYear;
						eventArrayNew.dateMonth = eventArrayData.dateMonth;
						eventArrayNew.dateDay = eventArrayData.dateDay;

						eventArrayNew.typeCur = eventArrayData.typeCur;
						eventArrayNew.typeData = new Array();
						eventArrayNew.typeData.push(eventArrayData.typeData[0]);
						typesHtml += '<a class="mui-control-item" typeId="">全部</a>';
						for(var i = 0; i < data.message.added.length; i ++){
							var item = data.message.added[i];
							var isAdded = false;
							for(var j = 0; j < eventArrayData.typeData.length; j ++){
								var itemAdded = eventArrayData.typeData[j];
								if(item.eventTypeId == itemAdded.typeId){
									isAdded = true;
									eventArrayNew.typeData.push(itemAdded);
									break;
								}
							}
							if(!isAdded){
								eventArrayNew.typeData.push(eventsDataInit(item.eventTypeId,item.name));
							}
							typesHtml += '<a class="mui-control-item" typeId='+item.eventTypeId+'>'+item.name+'</a>';
							eventTypeArrayData.push(item.eventTypeId);
						}
					}
					eventArrayNew.typeData[0].typeId = eventTypeArrayData.join(",");
					updateStorage("eventArrayData",eventArrayNew,true);
					eventListLoad(eventArrayNew.typeData[eventArrayNew.typeCur]);
					$("#eventTypeList").html(typesHtml);
					$("#eventTypeList>a").eq(eventArrayNew.typeCur).addClass("mui-active");
				}
				else{
					mui.alert(data.message);
				}
			},complete : function(jqXHR,status){ //请求完成后最终执行参数
					if(status == 'timeout'){						
						$("#offline").css("display","block");
						$(".hidenav").css("display","none");
						$(".mui-pull").css("display","none");
						$(".mui-content").css("display","none");
					}
					else if(status == 'error'){
						$("#offline").css("display","block");
						$(".hidenav").css("display","none");
						$(".mui-pull").css("display","none");
						$(".mui-content").css("display","none");
					}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}

//赛事列表数据项初始化
function eventsDataInit(typeId,typeName){
	var typeData = new Object();
	typeData.typeId = typeId || "";
	typeData.typeName = typeName || "全部";
	typeData.pageNoOld = 1;
	typeData.pageNoNew = 1;
	typeData.pageOverOld = false;
	typeData.pageOverNew = false;
	typeData.listHtml = "";
	typeData.scrollY = 0;
	typeData.startY = 0;
	typeData.isLoading = false;
	return typeData;
}

//赛事列表滚动加载
function eventsScroll(){
	if(mui.os.plus){
		mui.plusReady(function() {
			setTimeout(function() {
				mui('#pullrefresh').pullRefresh().pullupLoading();
			}, 1000);
		});
	}
	else{
		mui.ready(function() {
			mui('#pullrefresh').pullRefresh().pullupLoading();
		});
	}
}

//赛事类型切换
function eventTypeChange(){
	$("#eventList").html("");
	mui('#pullrefresh').pullRefresh().scrollTo(0,0,0);
	mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
	mui('#pullrefresh').pullRefresh().refresh(true);
	var eventArrayData = getStorage().eventArrayData;
	var typeCur = eventArrayData.typeCur;
	var typeData = eventArrayData.typeData;
	eventListLoad(typeData[typeCur]);
	//alert("第"+(typeCur+1)+"类数据长度为："+typeData[typeCur].listHtml.length+" 最新数据第"+typeData[typeCur].pageNoNew+"页"+" 历史数据第"+typeData[typeCur].pageNoOld+"页")
}

//赛事单项列表数据加载
function eventListLoad(typeData){
	if(typeData.listHtml == ""){
		mui('#pullrefresh').pullRefresh().pullupLoading();
	}
	else{
		$("#eventList").html(typeData.listHtml)
		mui('#pullrefresh').pullRefresh().scrollTo(0,typeData.scrollY,0);
	}
}

//赛事上拉加载最新数据
function pullupRefresh() {
	var eventArrayData = getStorage().eventArrayData;
	var curTypeIndex = eventArrayData.typeCur;
	var curTypeData = eventArrayData.typeData[curTypeIndex];
	var eventTypeId = curTypeData.typeId;
	var pageNo = curTypeData.pageNoNew;
	if(getStorage().userInfo){
		var userId = getStorage().userInfo.userId;
		var deviceId = "";
	}
	else{
		var userId = "";
		var deviceId = getStorage().deviceInfo.deviceId;
	}
	var params = {
		userId : userId,
		deviceId : deviceId,
		eventTypeId : eventTypeId,
		flag : 1,
		initTime : "",
		pageNo : pageNo,
		pageSize : 5,
		timestamp : (new Date()).getTime()
	}
	cordova.exec(function(result){
		params.sign = result;
		$.ajax({
			url:"http://"+domain+"/api/event/event-list",
			type:"post",
			dataType:"json",
			data:params,
			beforeSend:function(){
				eventArrayData.typeData[curTypeIndex].isLoading = true;
				updateStorage("eventArrayData",eventArrayData,true);
			},
			async:true,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					var eventArrayData = getStorage().eventArrayData;
					if(eventArrayData && eventArrayData.typeCur == curTypeIndex){
						var hasNext = data.message.page.hasNext;
						var totalCount = data.message.page.totalCount;
						var eventList = data.message.page.list;
						setTimeout(function(){
							mui('#pullrefresh').pullRefresh().endPullupToRefresh(!hasNext);
							if(!eventArrayData.typeData[curTypeIndex].pageOverNew){
								if(totalCount > 0){
									for (var i = 0; i < eventList.length; i++) {
										if($('#eventList>li[eventId="'+eventList[i].id+'"]').length <= 0){
											$("#eventList").append(getEventItemHtml(eventList[i],1));
										}
									}
									eventArrayData.typeData[curTypeIndex].listHtml = $("#eventList").html();
								}
								if(hasNext){
									eventArrayData.typeData[curTypeIndex].pageNoNew ++;
								}
							}
							eventArrayData.typeData[curTypeIndex].pageOverNew = !hasNext;
							eventArrayData.typeData[curTypeIndex].isLoading = false;
							//初始数据位置及箭头控制
							var startY = $("#eventList>li.isFirst").position().top;
							if($("#eventList>li.isFirst").prev().hasClass("matchDate")){
								startY -= 25;
							}
							eventArrayData.typeData[curTypeIndex].startY = startY;
							var curY = Math.abs(parseInt((document.getElementById("eventList").parentNode.style.webkitTransform).split(",")[1]));
							if(startY > curY){
								$("#backToday").addClass("down");
							}
							else{
								$("#backToday").removeClass("down");
							}
							updateStorage("eventArrayData",eventArrayData,true);
						}, 1500);
					}
					else{
						$("#eventList").html(eventArrayData.typeData[curTypeIndex].listHtml);
						eventArrayData.typeData[curTypeIndex].isLoading = false;
					}
				}
				else{
					mui.alert(data.message);
				}
			},complete : function(jqXHR,status){ //请求完成后最终执行参数
					if(status == 'timeout'){						
						$("#offline").css("display","block");
						$(".hidenav").css("display","none");
						$(".mui-pull").css("display","none");
						$(".mui-content").css("display","none");
					}
					else if(status == 'error'){
						$("#offline").css("display","block");
						$(".hidenav").css("display","none");
						$(".mui-pull").css("display","none");
						$(".mui-content").css("display","none");
					}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}

//赛事下拉加载历史数据
function pulldownRefresh() {
	var eventArrayData = getStorage().eventArrayData;
	var curTypeIndex = eventArrayData.typeCur;
	var curTypeData = eventArrayData.typeData[curTypeIndex];
	var eventTypeId = curTypeData.typeId;
	var pageNo = curTypeData.pageNoOld;
	if(getStorage().userInfo){
		var userId = getStorage().userInfo.userId;
		var deviceId = "";
	}
	else{
		var userId = "";
		var deviceId = getStorage().deviceInfo.deviceId;
	}
	var params = {
		userId : userId,
		deviceId : deviceId,
		eventTypeId : eventTypeId,
		flag : 0,
		initTime : "",
		pageNo : pageNo,
		pageSize : 5,
		timestamp : (new Date()).getTime()
	}
	cordova.exec(function(result){
		params.sign = result;
		$.ajax({
			url:"http://"+domain+"/api/event/event-list",
			type:"post",
			dataType:"json",
			data:params,
			beforeSend:function(){
				eventArrayData.typeData[curTypeIndex].isLoading = true;
				updateStorage("eventArrayData",eventArrayData,true);
			},
			async:true,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					var eventArrayData = getStorage().eventArrayData;
					if(eventArrayData && eventArrayData.typeCur == curTypeIndex){
						var hasNext = data.message.page.hasNext;
						var totalCount = data.message.page.totalCount;
						var eventList = data.message.page.list;
						setTimeout(function() {
							mui('#pullrefresh').pullRefresh().endPulldownToRefresh(!hasNext);
							if(!eventArrayData.typeData[curTypeIndex].pageOverOld){
								if(totalCount > 0){
									for (var i = 0; i < eventList.length; i++) {
										if($('#eventList>li[eventId="'+eventList[i].id+'"]').length <= 0){
											$("#eventList").prepend(getEventItemHtml(eventList[i],0));
										}
									}
									eventArrayData.typeData[curTypeIndex].listHtml = $("#eventList").html();
								}
								if(hasNext){
									eventArrayData.typeData[curTypeIndex].pageNoOld ++;
								}
							}
							eventArrayData.typeData[curTypeIndex].pageOverOld = !hasNext;
							eventArrayData.typeData[curTypeIndex].isLoading = false;
							//初始数据位置及箭头控制
							var startY = $("#eventList>li.isFirst").position().top;
							if($("#eventList>li.isFirst").prev().hasClass("matchDate")){
								startY -= 25;
							}
							eventArrayData.typeData[curTypeIndex].startY = startY;
							var curY = Math.abs(parseInt((document.getElementById("eventList").parentNode.style.webkitTransform).split(",")[1]));
							if(startY > curY){
								$("#backToday").addClass("down");
							}
							else{
								$("#backToday").removeClass("down");
							}
							updateStorage("eventArrayData",eventArrayData,true);
						}, 1500);
					}
					else{
						$("#eventList").html(eventArrayData.typeData[curTypeIndex].listHtml);
						eventArrayData.typeData[curTypeIndex].isLoading = false;
					}
				}
				else{
					mui.alert(data.message);
				}
			},complete : function(jqXHR,status){ //请求完成后最终执行参数
					if(status == 'timeout'){						
						$("#offline").css("display","block");
						$(".hidenav").css("display","none");
						$(".mui-pull").css("display","none");
						$(".mui-content").css("display","none");
					}
					else if(status == 'error'){
						$("#offline").css("display","block");
						$(".hidenav").css("display","none");
						$(".mui-pull").css("display","none");
						$(".mui-content").css("display","none");
					}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}

// 清空赛事列表HTML,暂时每次返回 index.html 都会调用,为解决预约状态的问题
function clearhEventItemHtml() {
	$("#eventList").html("");
	var dandanStorage = getStorage();
	var eventArrayData = dandanStorage.eventArrayData;
	if (eventArrayData) {
		for(var j = 0; j < eventArrayData.typeData.length; j ++){
			var typeData = eventArrayData.typeData[j];
			typeData.listHtml = "";
//			typeData.typeId = typeId || "";
//			typeData.typeName = typeName || "全部";
			typeData.pageNoOld = 1;
			typeData.pageNoNew = 1;
			typeData.pageOverOld = false;
			typeData.pageOverNew = false;
			typeData.listHtml = "";
			typeData.scrollY = 0;
			typeData.startY = 0;
			typeData.isLoading = false;
		}
		setStorage(dandanStorage);
	}
}

//赛事列表项HTML生成
function getEventItemHtml(eventItem,flag){
	var startTime = new Date(eventItem.startTime);
	var today = new Date();
	var eventDate = startTime.getFullYear() + "-" + ((startTime.getMonth()+1) < 10 ? "0"+(startTime.getMonth()+1) : (startTime.getMonth()+1)) + "-" + (startTime.getDate() < 10 ? "0"+startTime.getDate() : startTime.getDate());
	var eventTime = (startTime.getHours() < 10 ? "0"+startTime.getHours() : startTime.getHours())+":"+(startTime.getMinutes() < 10 ? "0"+startTime.getMinutes() : startTime.getMinutes());
	var listHtml = '';
	if(flag){ //最新数据
		if($(".matchDate[dateGroup="+eventDate+"]").length <= 0){
			if(today.getFullYear() == startTime.getFullYear() && today.getMonth() == startTime.getMonth() && today.getDate() == startTime.getDate()){
				listHtml += '<li class="matchDate" dateGroup='+eventDate+'>'+eventDate+' 今天</li>';
			}
			else{
				listHtml += '<li class="matchDate" dateGroup='+eventDate+'>'+eventDate+'</li>';
			}
		}
	}
	else{ //历史数据
		if($(".matchDate[dateGroup="+eventDate+"]").length > 0){
			$(".matchDate[dateGroup="+eventDate+"]").remove();
		}
		if(today.getFullYear() == startTime.getFullYear() && today.getMonth() == startTime.getMonth() && today.getDate() == startTime.getDate()){
			listHtml += '<li class="matchDate" dateGroup='+eventDate+'>'+eventDate+' 今天</li>';
		}
		else{
			listHtml += '<li class="matchDate" dateGroup='+eventDate+'>'+eventDate+'</li>';
		}
	}
	var eventClass = "";
	if(eventItem.isRemind){
		eventClass += " isRemind";
	}
	if($("#eventList>li.matchItem").length <= 0){
		eventClass += " isFirst";
	}
	//替换英文单引号
	eventItem.keyword ? eventItem.keyword = (eventItem.keyword).replace(/'/g, "’") : "";
	eventItem.viewWay ? eventItem.viewWay = (eventItem.viewWay).replace(/'/g, "’") : "";
	eventItem.timeInfo ? eventItem.timeInfo = (eventItem.timeInfo).replace(/'/g, "’") : "";
	eventItem.eventTypeName ? eventItem.eventTypeName = (eventItem.eventTypeName).replace(/'/g, "’") : "";
	eventItem.homeTeamName ? eventItem.homeTeamName = (eventItem.homeTeamName).replace(/'/g, "’") : "";
	eventItem.awayTeamName ? eventItem.awayTeamName = (eventItem.awayTeamName).replace(/'/g, "’") : "";
	listHtml += '<li class="matchItem'+eventClass+'" eventId="'+eventItem.id+'" data-info=\''+JSON.stringify(eventItem)+'\'><p class="round">';
	if(eventItem.status == 1){
		listHtml += eventTime+' ';
	}
	else if(eventItem.status == 2){
		listHtml += (eventItem.timeInfo || '0\'')+' ';
	}
	listHtml += eventItem.eventTypeName+' '+eventItem.keyword;
	if(eventItem.status == 2){
		listHtml += ' <span class="color2">直播中</span>';
	}
	else if(eventItem.status == 3){
		listHtml += ' 已结束';
	}
	listHtml += '</p>';
	if(eventItem.status == 2 || eventItem.status == 3){
		listHtml += '<div class="score">'+eventItem.homeScore+' - '+eventItem.awayScore+'</div>'
	}
	else if(eventItem.status == 1){
		listHtml += '<div class="bookCancel"><div class="inr"><span class="iconfont">&#xe607;</span>已预约</div></div>';
		listHtml += '<div class="bookConfirm iconfont">&#xe607;</div>';
	}
	var wayArray = eventItem.viewWay ? eventItem.viewWay.split("#") : '';
	var wayHtml = '';
	for(var w = 0; w < wayArray.length; w ++){
		wayHtml += '<span>'+wayArray[w]+'</span>'
	}
	listHtml += '<p class="media">'+wayHtml+'</p>';
	listHtml += '<div class="team teamH"><img class="logo" src='+eventItem.homeLogoImg+' onerror="imgError(this,2)"><p class="name">'+eventItem.homeTeamName+'</p></div>';
	listHtml += '<div class="team teamV"><img class="logo" src='+eventItem.awayLogoImg+' onerror="imgError(this,2)"><p class="name">'+eventItem.awayTeamName+'</p></div>';
	listHtml += '</li>';
	return listHtml;
}