mui.init();
mui.ready(function() {
	var header = document.querySelector('header.mui-bar');
	var list = document.getElementById('list');
	if(header && list){
		list.style.height = (document.body.offsetHeight - header.offsetHeight) + 'px';
	}
	$(function(){
		document.addEventListener("deviceready", onDeviceReady, false);
	})
});

function onDeviceReady() {

	//获取我的好友
	if(document.getElementById("myFriendsList")) {
		getMyFriends();
	}

	//获取手机通讯录好友
	if(document.getElementById("myContactsList")) {
		getContacts();
	}

	//获取新的好友列表
	if(document.getElementById("newFriendsList")) {
		getNewFriends();
	}

	//搜索好友
	if(document.getElementById("searchFriendsList")) {
		searchFriends();
	}

}

//获取我的好友
function getMyFriends(){
	var params = {
		userId : getStorage().userInfo.userId,
		friendNickName : "",
		startIndex : 0,
		pageSize : 1000,
		timestamp : (new Date()).getTime()
	}
	cordova.exec(function(result){
		params.sign = result;
		$.ajax({
			url:"http://"+domain+"/api/friend/listMyFriends",
			type:"post",
			dataType:"json",
			data:params,
			async:true,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					var friendsList = data.message.page.list;
					var myFriendsHtml = "";
					var letterArray = new Array();
					var htmlArray = new Array();
					for(var i = 65; i < 91; i ++) {
						letterArray.push(String.fromCharCode(i));
						htmlArray.push("");
					}
					letterArray.push("#");
					htmlArray.push("");
					for(var i = 0; i < friendsList.length; i++){
						var friendId = friendsList[i].friendId;
						var friendName = friendsList[i].nickName ? friendsList[i].nickName : friendId;
						var fullChars = pinyin.getFullChars(friendName);
						var camelChars = pinyin.getCamelChars(friendName);
						var firstChar = camelChars.charAt(0).toUpperCase();
						var friendImg = friendsList[i].userIcon || "images/prtDefault.jpg";
						var charIndex;
						if(letterArray.indexOf(firstChar) <= -1){
							charIndex = letterArray.indexOf("#");
						}
						else{
							charIndex = letterArray.indexOf(firstChar);
						}
						friendsList[i].nickName ? friendsList[i].nickName = (friendsList[i].nickName).replace(/'/g, "’") : "";
						friendsList[i].userSignature ? friendsList[i].userSignature = (friendsList[i].userSignature).replace(/'/g, "’") : "";
						htmlArray[charIndex] += '<li friendId='+friendId+' class="mui-table-view-cell mui-indexed-list-item" data-value='+camelChars+' data-tags='+fullChars+'|'+friendId+' data-info=\''+JSON.stringify(friendsList[i])+'\'><img class="bookPrt" onerror="imgError(this,1)" src='+friendImg+'><p class="bookName">'+friendName+'</p></li>';
					}
					for(var i = 0; i < htmlArray.length; i ++){
						if(htmlArray[i] != ""){
							htmlArray[i] = '<li data-group='+letterArray[i]+' class="mui-table-view-divider mui-indexed-list-group">'+letterArray[i]+'</li>' + htmlArray[i];
							myFriendsHtml += htmlArray[i];
						}
					}
					$("#myFriendsList").append(myFriendsHtml);
					window.indexedList = new mui.IndexedList(document.getElementById('list'));
					$(".mui-indexed-list-empty-alert").text("没有您要查找的联系人");
				}
				else{
					$(".mui-indexed-list-inner").addClass("empty");
					$(".mui-indexed-list-empty-alert").text("您暂时还没有任何好友");
				}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}

//获取手机通讯录好友
function getContacts() {
	//获取手机通讯录
	var friendMobiles = "";
	var options = new ContactFindOptions();
	options.filter = "";
	options.multiple = true;
	var fields = ["displayName", "name", "phoneNumbers"];
	var getMobilesSuccess = function(contacts) {
		var aResult = [];
		for (var i = 0; contacts[i]; i++) {
			if (contacts[i].phoneNumbers && contacts[i].phoneNumbers.length) {
				var contactPhoneList = [];
				for (var j = 0; contacts[i].phoneNumbers[j]; j++) {
					contactPhoneList.push(
						{
							'type' :  contacts[i].phoneNumbers[j].type,
							'value' : contacts[i].phoneNumbers[j].value
						}
					)
				}
				aResult.push({
					name : contacts[i].displayName,
					phone : contactPhoneList
				});
			};
		}
		for(var i = 0; aResult[i]; i++){
			for(var j = 0 ; aResult[i].phone[j]; j++){
				if(aResult[i].phone[j].type == "mobile"){
					friendMobiles += ","+aResult[i].phone[j].value;
				}
			}
		}
		friendMobiles = friendMobiles.length > 0 ? friendMobiles.substring(1) : "";
		var params = {
			userId : getStorage().userInfo.userId,
			friendMobiles : friendMobiles,
			startIndex : 0,
			pageSize : 1000,
			timestamp : (new Date()).getTime()
		}
		cordova.exec(function(result){
			params.sign = result;
			$.ajax({
				url:"http://"+domain+"/api/friend/listAddressBookFriends",
				type:"post",
				dataType:"json",
				data:params,
				async:true,
				cache:false,
				success:function(data) {
					if(data.result && data.code == "000"){
						var friendsList = data.message.page.list;
						var myFriendsHtml = "";
						var letterArray = new Array();
						var htmlArray = new Array();
						for(var i = 65; i < 91; i ++) {
							letterArray.push(String.fromCharCode(i));
							htmlArray.push("");
						}
						letterArray.push("#");
						htmlArray.push("");
						var userMobile = getStorage().userInfo.userMobile;
						for(var i = 0; i < friendsList.length; i++){
							var friendMobile = friendsList[i].friendMobile;
							if(friendMobile == userMobile){
								continue;
							}
							var friendId = friendsList[i].friendId;
							var friendName = friendsList[i].nickName ? friendsList[i].nickName : friendId;
							var fullChars = pinyin.getFullChars(friendName);
							var camelChars = pinyin.getCamelChars(friendName);
							var firstChar = camelChars.charAt(0).toUpperCase();
							var friendImg = friendsList[i].userIcon || "images/prtDefault.jpg";
							var charIndex;
							if(letterArray.indexOf(firstChar) <= -1){
								charIndex = letterArray.indexOf("#");
							}
							else{
								charIndex = letterArray.indexOf(firstChar);
							}
							friendsList[i].nickName ? friendsList[i].nickName = (friendsList[i].nickName).replace(/'/g, "’") : "";
							friendsList[i].userSignature ? friendsList[i].userSignature = (friendsList[i].userSignature).replace(/'/g, "’") : "";
							var statusHtml = friendsList[i].isFriend ? '<span class="added">已添加</span>' : '<a class="addBtn mui-btn mui-btn-success addFriend" data-friendid="'+friendId+'">添加</a>';
							htmlArray[charIndex] += '<li friendId='+friendId+' class="mui-table-view-cell mui-indexed-list-item itemAdd" data-value='+camelChars+' data-tags='+fullChars+'|'+friendId+' data-info=\''+JSON.stringify(friendsList[i])+'\'><img class="bookPrt" onerror="imgError(this,1)" src='+friendImg+'><p class="bookName">'+friendName+'</p>'+statusHtml+'</li>';
						}
						for(var i = 0; i < htmlArray.length; i ++){
							if(htmlArray[i] != ""){
								htmlArray[i] = '<li data-group='+letterArray[i]+' class="mui-table-view-divider mui-indexed-list-group">'+letterArray[i]+'</li>' + htmlArray[i];
								myFriendsHtml += htmlArray[i];
							}
						}
						$("#myContactsList").append(myFriendsHtml);
						window.indexedList = new mui.IndexedList(document.getElementById('list'));
						$(".mui-indexed-list-empty-alert").text("没有您要查找的联系人");
					}
					else{
						$(".mui-indexed-list-inner").addClass("empty");
						$(".mui-indexed-list-empty-alert").text("没有查找到您的通讯录好友");
					}
				}
			})
		},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
	}
	navigator.contacts.find(fields, getMobilesSuccess, function() {
		mui.alert("获取手机通讯录失败");
	}, options);
}

//获取新的好友
function getNewFriends(){
	var params = {
		userId : getStorage().userInfo.userId,
		friendNickName : "",
		startIndex : 0,
		pageSize : 1000,
		timestamp : (new Date()).getTime()
	}
	cordova.exec(function(result){
		params.sign = result;
		$.ajax({
			url:"http://"+domain+"/api/friend/listNewFriends",
			type:"post",
			dataType:"json",
			data:params,
			async:true,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					var friendsList = data.message.page.list;
					var myFriendsHtml = "";
					for(var i = 0; i < friendsList.length; i++){
						var userId = friendsList[i].userId; //邀请方
						var userIcon = friendsList[i].userIcon || "images/prtDefault.jpg";
						var userName = friendsList[i].nickName ? friendsList[i].nickName : userId;
						var userSignature = friendsList[i].userSignature;
						var friendId = friendsList[i].friendId; //被邀请方
						var friendIcon = friendsList[i].friendUserIcon || "images/prtDefault.jpg";
						var friendName = friendsList[i].friendNickName ? friendsList[i].friendNickName : friendId;
						var friendSignature = friendsList[i].friendUserSignature;
						var statusHtml = "";
						var myId = getStorage().userInfo.userId;
						var fData = {
							isShield : friendsList[i].isShield,
							isFriend : friendsList[i].isFriend,
							isAccept : friendsList[i].isAccept
						}; //对方
						if(myId == userId){
							fData.friendId = friendId;
							fData.userIcon = friendIcon;
							fData.nickName = friendName;
							fData.userSignature = friendSignature,
								fData.addType = 1
						}
						else if(myId == friendId){
							fData.friendId = userId;
							fData.userIcon = userIcon;
							fData.nickName = userName;
							fData.userSignature = userSignature,
								fData.addType = 2
						}
						$('#newFriendsList>li[friendId="'+fData.friendId+'"]').remove();
						if(friendsList[i].isFriend){
							statusHtml = '<span class="added">已添加</span>';
						}
						else{
							if(myId == userId){
								statusHtml = '<span class="added">等待验证</span>';
							}
							else if(myId == friendId){
								statusHtml = '<a class="addBtn mui-btn mui-btn-success acceptFriend" data-friendid="'+fData.friendId+'">接受</a>';
							}
						}
						fData.nickName ? fData.nickName = (fData.nickName).replace(/'/g, "’") : "";
						fData.userSignature ? fData.userSignature = (fData.userSignature).replace(/'/g, "’") : "";
						myFriendsHtml += '<li friendId='+fData.friendId+' class="mui-table-view-cell mui-indexed-list-item itemAccept" data-info=\''+JSON.stringify(fData)+'\'><img class="bookPrt" onerror="imgError(this,1)" src='+fData.userIcon+'><p class="bookName">'+fData.nickName+'</p>'+statusHtml+'</li>';
					}
					$("#newFriendsList").append(myFriendsHtml);
					window.indexedList = new mui.IndexedList(document.getElementById('list'));
				}
				else{
					mui.alert(data.message);
				}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
	//获取手机通讯录
	var friendMobiles = "";
	var options = new ContactFindOptions();
	options.filter = "";
	options.multiple = true;
	var fields = ["displayName", "name", "phoneNumbers"];
	var getMobilesSuccess = function(contacts) {
		var aResult = [];
		for (var i = 0; contacts[i]; i++) {
			if (contacts[i].phoneNumbers && contacts[i].phoneNumbers.length) {
				var contactPhoneList = [];
				for (var j = 0; contacts[i].phoneNumbers[j]; j++) {
					contactPhoneList.push(
						{
							'type' :  contacts[i].phoneNumbers[j].type,
							'value' : contacts[i].phoneNumbers[j].value
						}
					)
				}
				aResult.push({
					name : contacts[i].displayName,
					phone : contactPhoneList
				});
			};
		}
		for(var i = 0; aResult[i]; i++){
			for(var j = 0 ; aResult[i].phone[j]; j++){
				if(aResult[i].phone[j].type == "mobile"){
					friendMobiles += ","+aResult[i].phone[j].value;
				}
			}
		}
		friendMobiles = friendMobiles.length > 0 ? friendMobiles.substring(1) : "";
		var params = {
			userId : getStorage().userInfo.userId,
			friendMobiles : friendMobiles,
			startIndex : 0,
			pageSize : 1000,
			timestamp : (new Date()).getTime()
		}
		cordova.exec(function(result){
			params.sign = result;
			$.ajax({
				url:"http://"+domain+"/api/friend/listAddressBookFriends",
				type:"post",
				dataType:"json",
				data:params,
				async:true,
				cache:false,
				success:function(data) {
					if(data.result && data.code == "000"){
						var friendsList = data.message.page.list;
						var myFriendsHtml = "";
						var userMobile = getStorage().userInfo.userMobile;
						for(var i = 0; i < friendsList.length; i++){
							var friendMobile = friendsList[i].friendMobile;
							if(!friendsList[i].isFriend &&　friendsList[i].addType != 2 && friendMobile != userMobile) {
								var friendId = friendsList[i].friendId;
								if($('#newFriendsList>li[friendId="'+friendId+'"]').length > 0){
									continue;
								}
								var friendName = friendsList[i].nickName ? friendsList[i].nickName : friendId;
								var friendImg = friendsList[i].userIcon || "images/prtDefault.jpg";
								var statusHtml = friendsList[i].addType ? '<span class="added">等待验证</span>' : '<a class="addBtn mui-btn addFriend" data-friendid="'+friendId+'">添加</a>';
								friendsList[i].nickName ? friendsList[i].nickName = (friendsList[i].nickName).replace(/'/g, "’") : "";
								friendsList[i].userSignature ? friendsList[i].userSignature = (friendsList[i].userSignature).replace(/'/g, "’") : "";
								myFriendsHtml += '<li friendId='+friendId+' class="mui-table-view-cell mui-indexed-list-item itemAdd" data-info=\''+JSON.stringify(friendsList[i])+'\'><img class="bookPrt" onerror="imgError(this,1)" src='+friendImg+'><p class="bookName">'+friendName+'</p>'+statusHtml+'</li>';
							}
						}
						$("#newFriendsList").append(myFriendsHtml);
						window.indexedList = new mui.IndexedList(document.getElementById('list'));
					}
					else{
						//mui.alert(data.message);
					}
				}
			})
		},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
	}
	navigator.contacts.find(fields, getMobilesSuccess, function() {
		mui.alert("获取手机通讯录失败");
	}, options);
}

//搜索好友
function searchFriends(){
	document.getElementById("searchInput").addEventListener("change", function(){
		var key = this.value;
		if(key != ""){
			var params = {
				userId : getStorage().userInfo.userId,
				key : key,
				startIndex : 0,
				pageSize : 1000,
				timestamp : (new Date()).getTime()
			}
			cordova.exec(function(result){
				params.sign = result;
				$.ajax({
					url:"http://"+domain+"/api/friend/listSearchFriends",
					type:"post",
					dataType:"json",
					data:params,
					async:true,
					cache:false,
					success:function(data) {
						if(data.result && data.code == "000"){
							var friendsList = data.message.page.list;
							if(friendsList.length > 0){
								var myFriendsHtml = "";
								for(var i = 0; i < friendsList.length; i++){
									var friendId = friendsList[i].friendId;
									if(friendId == getStorage().userInfo.userId){
										continue;
									}
									var friendName = friendsList[i].nickName ? friendsList[i].nickName : friendId;
									var friendImg = friendsList[i].userIcon || "images/prtDefault.jpg";
									var statusHtml = friendsList[i].isFriend ? '<span class="added">已添加</span>' : '<a class="addBtn mui-btn mui-btn-success addFriend" data-friendid="'+friendId+'">添加</a>';
									friendsList[i].nickName ? friendsList[i].nickName = (friendsList[i].nickName).replace(/'/g, "’") : "";
									friendsList[i].userSignature ? friendsList[i].userSignature = (friendsList[i].userSignature).replace(/'/g, "’") : "";
									myFriendsHtml += '<li friendId='+friendId+' class="mui-table-view-cell mui-indexed-list-item" data-info=\''+JSON.stringify(friendsList[i])+'\'><img class="bookPrt" onerror="imgError(this,1)" src='+friendImg+'><p class="bookName">'+friendName+'</p>'+statusHtml+'</li>';
								}
								$("#searchFriendsList").html(myFriendsHtml);
								$(".mui-indexed-list-inner").removeClass("empty");
							}
							else{
								$(".mui-indexed-list-inner").addClass("empty");
							}
							window.indexedList = new mui.IndexedList(document.getElementById('list'));
						}
						else{
							mui.alert(data.message);
						}
					}
				})
			},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
		}
	}, false);
}