mui.init();
mui.ready(function() {
	//初始化滚动区域
	mui('.mui-scroll-wrapper').scroll({
		deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
	});
	$(function(){
		document.addEventListener("deviceready", onDeviceReady, false);
	})
});

function onDeviceReady() {
	window.platformType;

	//判断设备是否已安装微信
	isInstallWeiXin();

	//第三方登录回调
	var onThirdPartyLoginResults = function(message) {
		if(message){
			var message = JSON.parse(message);
			if(message.result == "success"){
				onThirdPartyCheck(message);
			}
		}
	}
	//第三方登录事件注册
	cordova.addConstructor(function() {
		cordova.exec(onThirdPartyLoginResults, function(){
			alert("第三方登录异常")
		}, "ActivityManagerPlugin", "onThirdPartyLogin", []);
	});
	//第三方登录
	mui("#thirdPartyList").on('tap','li',function(){
		var type = $(this).data("type");
		platformType = type;
		cordova.exec(null,null,"ActivityManagerPlugin","thirdPartyLogin",[{"type":type}]);
	})
	//登录提交
	document.getElementById("loginSubmit").addEventListener("click", function(){
		event.preventDefault();
		var $this = $(this);
		if($this.hasClass("disabled")){
			return false;
		}
		$this.addClass("disabled");
		var result = checkForm($this.parents("form"));
		if(result){
			var userMobile = $("#userMobile").val();
			var userPwd = $("#userPwd").val();
			var params = {
				userMobile : userMobile,
				userPwd : userPwd,
				timestamp : (new Date()).getTime()
			}
			cordova.exec(function(result){
				params.sign = result;
				$.ajax({
					url:"http://"+domain+"/api/user/login",
					type:"post",
					dataType:"json",
					data:params,
					async:false,
					cache:false,
					success:function(data) {
						if(data.result && data.code == "000"){
							updateStorage("userInfo",data.message);
							var dandanStorage = getStorage();
							if(dandanStorage.loginPageUrl){
								var href = dandanStorage.loginPageUrl;
								delete dandanStorage.loginPageUrl;
								setStorage(dandanStorage);
								hrefByToken(href);
							}
							else{
								hrefByToken("vipCenter.html");
							}
						}
						else{
							mui.alert(data.message);
							$this.removeClass("disabled");
						}
						//统计分析
						var userId = getStorage().userInfo ? getStorage().userInfo.userId : "0";
						analyticsSend("event-login",{"userId":userId,"type":"自由登录","success":data.result?1:0});
					}
				})
			},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
		}
		else{
			$this.removeClass("disabled");
		}
	}, false);

}

//第三方登录后台验证
function onThirdPartyCheck(message){
	var params = {
		userID : message.userID,
		userName : message.userName,
		userIcon : message.userIcon,
		userGender : message.userGender,
		token : message.token,
		deviceId : device.uuid,
		ip : getStorage().ip,
		platformType : platformType,
		timestamp : (new Date()).getTime()
	}
	cordova.exec(function(result){
		params.sign = result;
		$.ajax({
			url:"http://"+domain+"/api/user/thirdPartyRegister",
			type:"post",
			dataType:"json",
			data:params,
			async:false,
			cache:false,
			beforeSend : function(){
				$("body").append('<div id="loadingGif" style="position:fixed;z-index:1000;left:0;top:0;width:100%;height:100%;"><div style="position:absolute;left:50%;top:50%;width:64px;height:64px;margin:-32px 0 0 -32px;background-color:rgba(0,0,0,0.5);border-radius:5px;"><img style="display:block;width:30px;height:30px;margin:9px auto 3px auto;" src="images/loading.gif"><p style="line-height:20px;color:#FFF;text-align:center;font-size:12px;">登陆中</p></div></div>');
			},
			success:function(data) {
				//统计分析
				analyticsSend("event-login",{"userId":data.message.userId,"type":"第三方登录("+platformType+")","success":data.result?1:0});
				if(data.result && data.code == "000"){
					updateStorage("userInfo",data.message);
					var dandanStorage = getStorage();
					if(dandanStorage.loginPageUrl){
						var href = dandanStorage.loginPageUrl;
						delete dandanStorage.loginPageUrl;
						setStorage(dandanStorage);
						hrefByToken(href);
					}
					else{
						hrefByToken("vipCenter.html");
					}
				}
				else{
					if(data.message == "昵称已存在"){
						mui.prompt('昵称已经存在,请另起一个昵称', '输入昵称', ' ', ['取消', '确定'], function(e) {
							if (e.index == 1) {
								//昵称检测
								var userName = e.value.trim();
								cordova.exec(function(result){
									if(result != "true") {
										if(userName.replace(/\s/g, "") == ""){
											mui.alert("昵称不能为空");
											e.detail.gesture.preventDefault();
										}
										else if(checkLength(userName) > 20){
											mui.alert("昵称过长");
											e.detail.gesture.preventDefault();
										}
										else if(!checkReg(userName,"^[\u4E00-\u9FA5A-Za-z0-9_-]+$")){
											mui.alert("昵称只允许包含汉字、数字、英文字母、及‘-’、‘_’字符");
											e.detail.gesture.preventDefault();
										}
										else{
											message.userName = userName;
											onThirdPartyCheck(message);
										}
									}
									else{
										mui.alert("有非法字符");
										e.detail.gesture.preventDefault();
									}
								},onMessageError,"ActivityManagerPlugin","checkSensitiveWord",[{"value":userName}]);
							}
						})
					}
					else{
						mui.alert(data.message);
					}
					$("#loadingGif").remove();
				}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}

//判断是否安装微信
function isInstallWeiXin(){
	var scheme;
	if(device.platform === 'iOS') {
		scheme = 'weixin://';
	}
	else{
		$("#thirdPartyList>li").addClass("mui-col-xs-4 mui-col-sm-3");
		$("#thirdPartyList").show();
		return;
	}
	appAvailability.check(
		scheme,
		function() {  //安装
			$("#thirdPartyList>li").addClass("mui-col-xs-4 mui-col-sm-3");
			$("#thirdPartyList").show();
		},
		function() {  //未安装
			$("#thirdPartyList>li").first().remove();
			$("#thirdPartyList>li").addClass("mui-col-xs-6 mui-col-sm-6");
			$("#thirdPartyList").show();
		}
	);
}
