mui.init();
mui.ready(function() {
	//初始化滚动区域
	mui('.mui-scroll-wrapper').scroll({
		indicators: false,
		deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
	});
	$(function(){
		document.addEventListener("deviceready", onDeviceReady, false);
	})
});

var watchID = null;

function onDeviceReady() {
	//聊天室部分
	macthInit();
	//讨论组部分
	vgInit();
	//设备连接部分
	linkConfig();
	
	saveEveninfo();
	// 验证竞字是否显示 
	setTimeout(function() {
		show_match();
	}, 100);
	registerBack();
}
//输入框根据文字变化高度
window.onload = function () {
	var saytext = document.getElementById("saytext"); //用户看到的文本框
	var shadow = document.getElementById("shadow"); //隐藏的文本框
	var say = document.getElementById("saySubmit");
	saytext.oninput = //非IE的
	saytext.onpropertychange = //IE的
	onchange;
	function onchange() {
		shadow.value = saytext.value;
		setHeight();
		setTimeout(setHeight, 0); //针对IE 6/7/8的延迟, 否则有时会有一个字符的出入
		function setHeight() {
			if(saytext.value.length >= 40){
				mui.toast("注意不能超过40字哦。",1000);
			}

			if(saytext.value.length > 40){
				$("#saytext").css("border","1px solid red");
			}
			else{
				$("#saytext").css("border","none");
			}
			saytext.style.height = shadow.scrollHeight + "px"; 
            var test =$("#saytext").css("line-height");
			var h = $("#saytext").css("height");
			var sub = $("#saySubmit").css("line-height");
			var icon = $(".iconBtn").css("line-height");
			var vg = $("#vgGroup").css("line-height");
			var bot =$(".popbottom").css("bottom");
			var inter =$("#interactBox").css("height");
			bot = inter;
			vg = inter;
            sub = h;
            icon = h;
            $("#saySubmit").css("line-height",sub);
            $(".popbottom").css("bottom",bot);	
            $(".iconBtn").css("line-height",icon);
            $("#vgGroup").css("bottom",vg);			
		}
	}
};
//初始化传值 给dlrj用
function saveEveninfo() {
	//储存用户名，聊天室ID供竞猜使用
	// 积分跨域：这里存储时不能用 eventData，跟之前的代码有冲突
	cordova.exec(function(result) {
	}, function(result) {
	}, "MFLinkManagerPlugin", "saveData", [{"eventData_point": getStorage().eventData,"userInfo_point": getStorage().userInfo }]);
}

// 验证竞字是否显示
function show_match(){
	// $.ajax({
	// 	type: "post",
	// 	url: pointsurl + "show_matter",
	// 	async: false,
	// 	dataType: "json",
	// 	success: function(json) {
	// 		if (json.result == 1) {
	// 			if(json.querry.state == 1){
	// 				document.getElementById("info").style.display = "block";
	// 			}
	// 		} else {
	// 			mui.alert(json.content);
	// 		}
	// 	},
	// 	error: function(XMLHttpRequest, textStatus, errorThrown) {
	// 		mui.alert(errorThrown);
	// 	}
	// });
}


//赛事视图初始化
function macthInit(){
	macthBind();
	matchInfoInit();
	getMatchInfo();
	getChatroomInfo();
	getInteractList();
	getEmotionList();
}

//赛事聊天室事件绑定
function macthBind(){
	//页面滑动效果
	matchPageSlide();
	//未登录操作阻止
	if(!getStorage().userInfo){
		$('#btnFace').attr('href','#');
		mui("#view-index").on('tap','#btnFace',function() {
			loginTip("使用魔法表情需要用户登录，是否登录？");
		})
	}
	//分享平台
	mui("#popoverFnc").on('tap','#mobShare',function(){
		mui('#popoverFnc').popover('toggle');
		var eventData = getStorage().eventData;
		var homeTeamName = eventData.homeTeamName;
		var awayTeamName = eventData.awayTeamName;
		var homeScore = eventData.homeScore;
		var awayScore = eventData.awayScore;
		var status = eventData.status;
		var title = "";
		if(status == 1){
			title = homeTeamName+" VS "+awayTeamName+"，敬请关注";
		}
		else if(status == 2){
			title = homeTeamName+""+homeScore+"-"+awayScore+""+awayTeamName+"，正在直播中";
		}
		else if(status == 3){
			title = homeTeamName+""+homeScore+"-"+awayScore+""+awayTeamName+"，比赛已结束";
		}
		var text = "";
		if(device.platform != "Android"){
			text = "我在弹弹体育聊球，一起来啊。http://share.dandantv.com/ddtv";
		}
		else{
			text = "我在弹弹体育聊球，一起来啊。";
		}
		cordova.exec(function(){
			// 2 分享
			completeTask(2);
		},null,"ActivityManagerPlugin","mobShare",[{"title":title,"titleUrl":"http://share.dandantv.com/ddtv","text":text,"imagePath":"http://share.dandantv.com/ddtv/share.png","url":"http://share.dandantv.com/ddtv","comment":"","site":"弹弹体育","siteUrl":"http://www.dandantv.com"}]);

	})
	//支持球队
	mui("#matchLive").on('tap','.praise',function(){
		teamSupport($(this));
	})
	//聊天室发言
	$("#interactBox").delegate('#saySubmit','click',function(){
		saySubmit();
	})
	//使用魔法表情
	mui("#gridEmotion").on('tap','li',function(){
		sendEmotion($(this).data("info"));
	})
	//离开魔法表情使用页
	mui(".mui-bar").on('tap','#emotionLeave',function(){
		navigator.accelerometer.clearWatch(watchID);
	})
	//进入互动页面
	mui("#gridInteract").on('tap','li',function(){
		if($(this).hasClass("disabled")){
			return;
		}
		var actInfo = $(this).data("info");
		var actArray = getStorage().actArray || new Array();
		cordova.exec(function(){
			if(device.platform === 'iOS') {
				top.location.href = actInfo.iosWapUrl;
			}
			else{
				top.location.href = actInfo.wapUrl;
			}
		},null,"MFLinkManagerPlugin","saveData",[{"actInfo":actInfo,"actArray":actArray,"eventData":getStorage().eventData}]);
	})
	//离开互动页面
	mui(".mui-bar").on('tap','#interactExit',function(){
		navigator.accelerometer.clearWatch(watchID);
	})
	//聊天室好友操作框
	$("#barrageList").delegate(".prt, .name","click",function(){
		event.stopPropagation();
		var userId = $(this).parents("li").data("id");
		$(".mui-popover-friend").remove();
		if(getStorage().userInfo){
			if(getStorage().userInfo.userId == userId){
				return;
			}
		}
		if($(this).siblings(".mui-popover-friend").length <= 0){
			$(this).before('<div class="mui-popover mui-popover-friend"><div class="mui-popover-arrow"></div><div class="mui-table-view"><div class="mui-table-view-cell f-box chatUserShield"><span class="iconfont">&#xe611;</span><label>屏蔽发言</label></div><div class="mui-table-view-cell f-box chatUserAdd"><span class="iconfont">&#xe613;</span><label>加为好友</label></div></div></div>');
		}
	})
	$("body").click(function(){
		event.stopPropagation();
		$(".mui-popover-friend").remove();
	})
	//聊天室添加好友
	mui("#barrageList").on("tap",".chatUserAdd",function(){
		if(!getStorage().userInfo){
			loginTip("添加好友需要用户登录，是否登录？");
		}
		else{
			var friendId = $(this).parents("li").data("id");
			var params = {
				userId : getStorage().userInfo.userId,
				friendId : friendId,
				timestamp : (new Date()).getTime()
			}
			cordova.exec(function(result){
				params.sign = result;
				$.ajax({
					url:"http://"+domain+"/api/friend/addFriend",
					type:"post",
					dataType:"json",
					data:params,
					async:true,
					cache:false,
					success:function(data) {
						if(data.result && data.code == "000"){
							mui.alert(data.message);
						}
						else{
							mui.alert(data.message);
						}
						$(".mui-popover-friend").remove();
					}
				})
			},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
		}
		return false;
	})
	//聊天室屏蔽发言
	mui("#barrageList").on("tap",".chatUserShield",function(){
		var eid = getStorage().eventData.id;
		var uid = $(this).parents("li").data("id");
		var existEvent;
		var chatroomShield = getStorage().chatroomShield || new Array();
		if(chatroomShield.length <= 0){
			var roomShield = new Object();
			roomShield.eventId = eid;
			roomShield.userList = new Array();
			roomShield.userList.push(uid);
			chatroomShield.push(roomShield);
		}
		else{
			existEvent = eventIsShield(chatroomShield,eid);
			if(existEvent){
				var existUser = itemIsExist(chatroomShield[existEvent-1],uid);
				if(!existUser){
					chatroomShield[existEvent-1].userList.push(uid);
				}
				else{
					return;
				}
			}
			else{
				var roomShield = new Object();
				roomShield.eventId = eid;
				roomShield.userList = new Array();
				roomShield.userList.push(uid);
				chatroomShield.push(roomShield);
			}
		}
		updateStorage("chatroomShield",chatroomShield,true);
		$(".mui-popover-friend").remove();
		$("#barrageList>li[data-id="+uid+"]").remove();
		//通知电视屏蔽发言
		if(getStorage().linkData &&　getStorage().linkData.state == 2){
			var shieldArray = new Array();
			existEvent ? shieldArray = chatroomShield[existEvent-1].userList : "";
			updateBlockedUsers(shieldArray);
		}
		mui.alert("屏蔽成功");
		return false;
	})
	//返回聊天室发言区顶部
	mui("body").on("tap","#scrollHead",function(e){
		if(e.target.id != "fncBtn" && e.target.id != "seekDevice" && e.target.id != "deviceBtn" && $("#pageMatch").hasClass("scrollUp")){
			mui("#scrollPageWrap").scroll().scrollTo(0,-158,0);
		}
	})
}

//赛事页面滑动效果
function matchPageSlide(){
	//屏蔽个别手机旋转图标渲染BUG
	document.getElementById("scrollPage").style.webkitTransform = "translate3d(0,-1px,0)";
	var scrollY;
	scrollY = -parseInt((document.getElementById("scrollPage").style.webkitTransform).split(",")[1]);
	matchPageSlideCal(scrollY);
	setInterval(function(){
		scrollY = -parseInt((document.getElementById("scrollPage").style.webkitTransform).split(",")[1]);
		matchPageSlideCal(scrollY);
		//屏蔽个别手机旋转图标渲染BUG
		if(scrollY == 0){
			document.getElementById("scrollPage").style.webkitTransform = "translate3d(0,-1px,0)";
		}
	},100)
}
//赛事页面滑动效果
function matchPageSlideCal(scrollY){
	var opacity;
	if(scrollY < 0){
		if(device.platform === 'iOS') {
			opacity = Math.abs(scrollY/64) < 1 ? Math.abs(scrollY/64) : 1;
		}
		else{
			opacity = Math.abs(scrollY/44) < 1 ? Math.abs(scrollY/44) : 1;
		}
	}
	else{
		opacity = Math.abs(scrollY/158) < 1 ? Math.abs(scrollY/158) : 1;
	}
	document.getElementById("scrollHead").style.backgroundColor = "rgba(0,147,221,"+opacity+")";
	scrollY > 159 ? $("#pageMatch").addClass("scrollUp") : $("#pageMatch").removeClass("scrollUp");
	scrollY > 198 ? toggleAutoScroll(false) : toggleAutoScroll(true);
}

//toggle发言区域滚动
function toggleAutoScroll(scroll){
	if(scroll){
		window.isAutoScroll = true;
		$("#newSpeak").remove();
		$("#barrageList>li:gt(199)").remove();
	}
	else{
		window.isAutoScroll = false;
	}
}

//聊天室提交发言
function saySubmit(){
	mui('#popoverEffect').popover('hide');
	if(!getStorage().userInfo){
		$("#saytext").blur();
		loginTip("聊天室发言需要用户登录，是否登录？");
	}
	else{
		var text = $("#saytext").val().trim();
		if(text.replace(/\s/g, "") != "") {
			//若包含使IOS崩溃的特殊字符，则不提交该发言
			cordova.exec(function(result){
				if(result != "true") {
					saySubmitPost(text.replace(/\n/g, ' '));
				};
			},onMessageError,"ActivityManagerPlugin","checkSensitiveWord",[{"value":text}]);
		}
		setTimeout(function() {
			onchange();
		}, 0);
	}
	return false;
}

//聊天室提交发言发送
function saySubmitPost(text){
	var userInfo = getStorage().userInfo;
	var extra = new Object();
	extra.id = userInfo.userId;
	extra.name = userInfo.nickName || userInfo.userId;
	extra.prt = userInfo.userIcon || 'images/prtDefault.jpg';
	extra.type = "";
	chatroomSpeak({text:text,extra:JSON.stringify(extra)});
	var saytext = document.getElementById("saytext"); 
	var saysbmit = document.getElementById("saySubmit");
	var popbottom = document.getElementsByClassName("popbottom");
	saytext.style.height = 40 + "px";
	saysbmit.style.height = 40 + "px";
	$(popbottom).css("bottom","50px");
	$("#saySubmit").css("line-height","40px");
	$(".iconBtn").css("line-height","40px");
	$("#saytext").blur();
	$(".popbottom").css("bottom","50px");
}

//支持率视图
function setSupportRatio(sH,sV){
	var sH = parseInt(sH);
	var sV = parseInt(sV);
	var rationH = Math.round(sH/(sH+sV)*100);
	var rationV = 100 - rationH;
	$("#percH").css("width",rationH+"%");
	$("#percV").css("width",rationV+"%");
}

//赛事信息初始化
function matchInfoInit(){
	var eventData = getStorage().eventData;
	$("#matchTitle").text((eventData.eventTypeName || "")+""+(eventData.keyword || ""));
	$(".teamLogoH").attr("src",eventData.homeLogoImg);
	$(".teamLogoV").attr("src",eventData.awayLogoImg);
	$(".teamNameH").text(eventData.homeTeamName);
	$(".teamNameV").text(eventData.awayTeamName);
	$("#praisenumH").text(eventData.homeSupportNum || 0);
	$("#praisenumV").text(eventData.awaySupportNum || 0);
	setSupportRatio(eventData.homeSupportNum || 0,eventData.awaySupportNum || 0);
	$(".macthScore").text((eventData.homeScore || 0) + " - " + (eventData.awayScore || 0))
}

//获取赛事信息
function getMatchInfo(){
	var params = {
		eventId : getStorage().eventData.id,
		timestamp : (new Date()).getTime()
	}
	cordova.exec(function(result){
		params.sign = result;
		$.ajax({
			url:"http://"+domain+"/api/event/event-info",
			type:"post",
			dataType:"json",
			data:params,
			async:true,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					var eventData = data.message;
					updateStorage("eventData",eventData);
					matchInfoInit();
				}
				else{
					mui.alert(data.message);
				}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}

//获取赛事魔法表情
function getEmotionList(){
	if(getStorage().userInfo){
		var params = {
			userId : getStorage().userInfo.userId,
			eventId : getStorage().eventData.id,
			pageNo : 1,
			pageSize : 1000,
			timestamp : (new Date()).getTime()
		}
		cordova.exec(function(result){
			params.sign = result;
			$.ajax({
				url:"http://"+domain+"/api/usereventmagic/emotion-list",
				type:"post",
				dataType:"json",
				data:params,
				async:true,
				cache:false,
				success:function(data) {
					if(data.result && data.code == "000"){
						var emotionList = data.message.page.list;
						if(emotionList.length > 0){
							$('#btnFace').attr('href','#popoverFace');
							mui("#view-index").off("tap","#btnFace");
							var emotionHtml = "";
							for(var i = 0; i < emotionList.length; i ++){
								var emotionItem = emotionList[i];
								emotionHtml += '<li data-info=\''+JSON.stringify(emotionItem)+'\'><a href="#"><img src='+emotionItem.smallPic+'><p class="t1">'+emotionItem.title+'</p><p class="t2 color2"><span class="time">'+(emotionItem.times-emotionItem.usedTimes)+'</span>次</p></a></li>';
							}
							$("#gridEmotion").html(emotionHtml);
						}
						else{
							$('#btnFace').attr('href','#');
							mui("#view-index").on('tap','#btnFace',function() {
								mui.alert("该赛事没有可用的魔法表情");
							})
						}
					}
					else{
						mui.alert(data.message);
					}
				}
			})
		},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
	}
}

//获取系统互动列表
var actListCd;
function getInteractList(){
	var params = {
		eventId : getStorage().eventData.id,
		pageNo : 1,
		pageSize : 1000,
		timestamp : (new Date()).getTime()
	}
	cordova.exec(function(result){
		params.sign = result;
		$.ajax({
			url:"http://"+domain+"/api/interact/interactList",
			type:"post",
			dataType:"json",
			data:params,
			async:true,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					var list = data.message.page.list;
					if(list.length > 0) {
						if(actListCd &&　typeof actListCd == "number"){
							clearInterval(actListCd);
						}
						//数据过滤
						var interactList = new Array();
						for(var i = 0; i < list.length; i ++){
							var item = list[i];
							var status = item.interactStatus;
							var endTime = item.endTime;
							var typeId = item.typeId;
							var typeIsExist = false;
							var typeList = interactList;
							for(var j = 0; j < typeList.length; j ++){
								if(typeList[j].typeId == typeId){
									typeIsExist = true;
									if((status == 2 && typeList[j].status != 2) || (endTime > typeList[j].endTime)){
										interactList[j] = item;
									}
									break;
								}
							}
							if(!typeIsExist){
								interactList.push(item);
							}
						}
						//更新活动列表HTML
						$('#btnAct').attr('href','#popoverAct');
						mui("#view-index").off("tap","#btnAct");
						var interactHtml = "";
						for(var i = 0; i < interactList.length; i ++){
							var interactItem = interactList[i];
							interactHtml += '<li class="disabled" eventInteractId='+interactItem.eventInteractId+' data-info=\''+JSON.stringify(interactItem)+'\'><a href="#"><img src='+interactItem.imgUrl+'><p class="t1">'+interactItem.name+'</p></a><div class="actTime"></div></li>';
						}
						$("#gridInteract").html(interactHtml);

						//更新开启的互动数据
						var nowTime = (new Date()).getTime() - getStorage().timeDif;
						var gridInteract = $("#gridInteract>li");
						var actArray = getStorage().actArray || new Array();
						var actArrayNew;
						for(var i = 0; i < gridInteract.length; i ++){
							var actDom = gridInteract.eq(i);
							var actInfo = actDom.data("info");
							var timeDif = getStorage().timeDif;
							var startTime = actInfo.startTime;
							var endTime = actInfo.endTime;
							if(nowTime > startTime && nowTime < endTime && actInfo.interactStatus == 2){ //活动开启中
								var actItem = new Object();
								//不存在且活动为进行中状态追加
								var isExist = false;
								for(var j = 0; j < actArray.length; j ++){
									if(actArray[j].eventInteractId == actInfo.eventInteractId){
										actItem.endTime = endTime;
										updateStorage("actArray",actArray,true);
										isExist = true;
										break;
									}
								}
								if(!isExist){
									actItem.startTime = startTime;
									actItem.endTime = endTime;
									actItem.interactStatus = actInfo.interactStatus;
									actItem.eventId = getStorage().eventData.id;
									actItem.interactId = actInfo.id;
									actItem.eventInteractId = actInfo.eventInteractId;
									actArray.push(actItem);
									updateStorage("actArray",actArray,true);
								}
							}
							else{ //互动未开始或已结束
								//存在删除
								for(var j = 0; j < actArray.length; j ++){
									if(actArray[j].eventInteractId == actDom.attr("eventInteractId")){
										actArrayNew = actArray.del(j);
										updateStorage("actArray",actArrayNew,true);
									}
								}
							}
						}
						//alert(JSON.stringify(actArray))

						//互动列表倒计时
						actListCd = setInterval(function(){
							var nowTime = (new Date()).getTime() - getStorage().timeDif;
							var gridInteract = $("#gridInteract>li");
							for(var i = 0; i < gridInteract.length; i ++){
								var actDom = gridInteract.eq(i);
								var actArray = getStorage().actArray || new Array();
								var actArrayNew;
								var isOpened = false;
								for(var j = 0; j < actArray.length; j ++){
									if(actArray[j].eventInteractId == actDom.attr("eventInteractId")){
										isOpened = true;
										var remainTime = parseInt((actArray[j].endTime - nowTime)/1000);
										if(remainTime <= 0){
											actDom.addClass("disabled");
											actArrayNew = actArray.del(j);
											updateStorage("actArray",actArrayNew,true);
										}
										else{
											actDom.removeClass("disabled").find(".actTime").text(cdFormat(remainTime));
										}
										break;
									}
								}
								if(!isOpened){
									actDom.addClass("disabled");
								}
							}
						},1000)
					}
					else{
						$('#btnAct').attr('href','#');
						mui("#view-index").on('tap','#btnAct',function() {
							mui.alert("该赛事没有相关互动");
						})
					}
				}
				else{
					mui.alert(data.message);
				}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}

//获取聊天室信息
function getChatroomInfo(){
	var userInfo = getStorage().userInfo;
	var chatroom = getStorage().chatroom;
	var eventData = getStorage().eventData;
	var eventLastData = getStorage().eventLastData;
	if(eventData && eventLastData){
		if(userInfo && chatroom && eventData.id != eventLastData.id){
			var params = chatroomLeaveParams(chatroom,userInfo.userId);
			cordova.exec(function(sign){
				params.sign = sign;
				if(chatroomLeave(params)){
					setChatroomInfo();
				}
			},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
		}
		else{
			setChatroomInfo();
		}
	}
}

//获取聊天室ID
function getChatroomId(params){
	var result = false;
	$.ajax({
		url:"http://"+domain+"/api/chatroom/room-info",
		type:"post",
		dataType:"json",
		data:params,
		async:false,
		cache:false,
		success:function(data) {
			if(data.result && data.code == "000"){
				var chatroom = data.message.room;
				updateStorage("chatroom",chatroom,true);
				//alert(JSON.stringify(chatroom))
				result = true;
			}
			else{
				mui.alert(data.message);
				result = false;
			}
		}
	})
	return result;
}

//获取聊天室信息
function setChatroomInfo(){
	//获取聊天室ID
	var params = {
		eventId : getStorage().eventData.id,
		timestamp : (new Date()).getTime()
	}
	cordova.exec(function(sign){
		params.sign = sign;
		if(getChatroomId(params)){;
			//聊天室配置
			chatroomConfig();
		}
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}

//聊天室配置
function chatroomConfig(){
	var appKey = getStorage().systemKey.rongAppKey;
	cordova.exec(function(result){
		appKey = result;
		RongCloudLibPlugin.init({
			appKey: appKey
		},function(ret, err){
			if(ret){

			}
			else{
				if(err.msg && err.code){
					mui.alert('error:'+err.msg+" "+err.code);
				}
			}
		});

		RongCloudLibPlugin.setConnectionStatusListener(function(ret, err){
			if(ret){
				var status = ret.result.connectionStatus;
				if(status == 'KICKED '){
					mui.alert("用户账户在其他设备登录，本机已被踢掉线");
				}
				else if(status == 'TOKEN_INCORRECT '){
					mui.alert("TOKEN不正确,请重新登录");
				}
				else if(status == 'NETWORK_UNAVAILABLE' || status == 'SERVER_INVALID'){
					//chatroomConnect();
				}
			}
			else{
				if(err.msg && err.code){
					mui.alert('error:'+err.msg+" "+err.code);
				}
			}
		});

		chatroomConnect();

		RongCloudLibPlugin.setOnReceiveMessageListener(function (ret, err) {
			if(ret){
				addBarrageHtml(ret.result.message);
			}
			else{
				if(err.msg && err.code){
					mui.alert('error:'+err.msg+" "+err.code);
				}
			}
		});
	},function(){
		mui.alert("解密失败")
	},"ActivityManagerPlugin","decryptAES",[{"value":appKey}]);
}

//聊天室Kick定时检测
function chatroomKick(){
	var extra = new Object();
	extra.id = getStorage().userInfo ? getStorage().userInfo.userId : "";
	extra.type = "heartbeat";
	chatroomSpeak({text:'heartbeat',extra:JSON.stringify(extra)});
	setInterval(function(){
		chatroomSpeak({text:'heartbeat',extra:JSON.stringify(extra)});
	},1000*3600)
}

//聊天室-进入（通知数据库）
function chatroomEnter(){
	var params = {
		userId : getStorage().userInfo.userId,
		chatRoomId : getStorage().chatroom.id,
		timestamp : (new Date()).getTime()
	}
	cordova.exec(function(sign){
		params.sign = sign;
		$.ajax({
			url:"http://"+domain+"/api/chatroom/enter-room",
			type:"post",
			dataType:"json",
			data:params,
			async:true,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					var chatroom = getStorage().chatroom;
					chatroom.userList = data.message;
					updateStorage("chatroom",chatroom,true);
				}
				else{
					mui.alert(data.message);
				}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}

//发送魔法表情
function sendEmotion(data){
	$(".mui-backdrop").hide();
	if(data.times - data.usedTimes <= 0){
		return;
	}
	updateStorage("emotionData",data);
	top.location.href = "emotion.html";
	/*$(".mui-backdrop").hide();
	var remainTime = parseInt(dom.find(".time").text());
	if(remainTime <= 0){
		return;
	}
	var magicId = dom.data("info").id;
	var magicName = dom.data("info").title;
	$(".emotionName").text(magicName);
	$("#emotionTimes").text(remainTime);
	$("#emotionPic").css({"background-image":"url(demo/face1Static.jpg)"});
	$("#emotionIntro").html("愤怒的西红柿已经怒不可遏了！<br/>请将您的手机当做西红柿一样用力“丢”出去<br/><br/>TIPS: 请不要真的把手机丢出去哦 &gt;.&lt;")
	viewApi.go("#view-emotion");
	var dynTotal = 0;
	var dynLock = false;
	watchID = navigator.accelerometer.watchAcceleration(function(acceleration){
		var x = parseInt(Math.abs(acceleration.x));
		var y = parseInt(Math.abs(acceleration.y));
		var z = parseInt(Math.abs(acceleration.z));
		var dyn = x+y+z;
		if(dyn > 45 && !dynLock){
			dynTotal ++;
			if(dynTotal >= 1){
				dynLock = true;
				var params = {
					userId : getStorage().userInfo.userId,
					eventId : getStorage().eventData.id,
					magicId : magicId,
					timestamp : (new Date()).getTime()
				}
				cordova.exec(function(result){
					params.sign = result;
					$.ajax({
						url:"http://"+domain+"/api/usereventmagic/emotion-send",
						type:"post",
						dataType:"json",
						data:params,
						async:true,
						cache:false,
						success:function(data) {
							if(data.result && data.code == "000"){
								navigator.vibrate(300);
								window.plugins.toast.show('使用一次', 'short', 'center');
								remainTime--;
								dom.find(".time").text(remainTime);
								$("#emotionTimes").text(remainTime);
								var extra = new Object();
								extra.id = getStorage().userInfo.userId;
								extra.name = getStorage().userInfo.nickName || getStorage().userInfo.userId;
								extra.prt = getStorage().userInfo.userIcon || 'images/prtDefault.jpg';
								extra.type = "emotion";
								extra.magic = magicName;
								chatroomSpeak({text:'[:magic:'+magicId+']',extra:JSON.stringify(extra)});
								setTimeout(function(){
									dynTotal = 0;
									dynLock = false;
								},1000)
								if(remainTime <= 0){
									viewApi.back();
									navigator.accelerometer.clearWatch(watchID);
								}
							}
							else{
								mui.alert(data.message);
							}
						}
					})
				},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
			}
		}
	}, function(){
		mui.alert("您的手机不支持重力感应");
	}, { frequency: 100 });*/
}

//追加弹幕列表HTML
var barrageNum = 0;
function addBarrageHtml(message){

	// 自己发送的消息 message.targetId 为 undefined，我们要正常显示
	if (message.targetId && message.targetId != getStorage().chatroom.chatId) {
		// alert("targetId " + message.targetId + " ！= chatId " + getStorage().chatroom.chatId);
		return;
	};

	var uid = JSON.parse(message.content.extra).id || message.senderUserId;
	var eid = getStorage().eventData.id;
	//屏蔽发言
	var chatroomShield = getStorage().chatroomShield;
	if(chatroomShield){
		var existEvent = eventIsShield(chatroomShield,eid);
		if(existEvent){
			var existUser = itemIsExist(chatroomShield[existEvent-1].userList,uid);
			if(existUser && getStorage().userInfo.userId != uid){
				return;
			}
		}
	}
	//屏蔽好友
	/*var shieldFriends = getStorage().shieldFriends;
	if(shieldFriends){
		var existFriend = itemIsExist(shieldFriends,uid);
		if(existFriend){
			return;
		}
	}*/

	var content = message.content.text;
	var name = JSON.parse(message.content.extra).name;
	var prt = JSON.parse(message.content.extra).prt;
	var type = JSON.parse(message.content.extra).type;

	//屏蔽魔法表情之外的类型
	if(type != "" && type != "emotion"){
		return;
	}
	//魔法表情是否屏蔽判断
	if(type == "emotion"){
		var showType = JSON.parse(message.content.extra).showType;
		if(showType == 0){ //只在自身用户投射的弹幕层中显示
			if(!getStorage().userInfo || getStorage().userInfo.userId != uid){
				return;
			}
		}
	}

	// 如果 targetId 不为空，并且已经发过言，判断 userId是否相同，如果相同，则不显示。
	// 防止出现由于审核导致的重复消息
	if (message.targetId && isSpeaken) {
		if(getStorage().userInfo && getStorage().userInfo.userId == uid){
			return;
		}
	};

	var time = new Date(message.sentTime);
	time = (time.getHours() < 10 ? "0"+time.getHours() : time.getHours())+":"+(time.getMinutes() < 10 ? "0"+time.getMinutes() : time.getMinutes())+":"+(time.getSeconds() < 10 ? "0"+time.getSeconds() : time.getSeconds());
	var msgHtml = '';
	if(type == "emotion"){
		var magic = JSON.parse(message.content.extra).magic;
		msgHtml = '<li data-id='+uid+'><img class="prt" onerror="imgError(this,1)" src='+prt+'><p class="name">'+name+'</p><p class="cnt color2">发了一个“'+magic+'”魔法表情。</p><p class="date">'+time+'</p></li>';
	}
	else{
		msgHtml = '<li data-id='+uid+'><img class="prt" onerror="imgError(this,1)" src='+prt+'><p class="name">'+name+'</p><p class="cnt">'+content+'</p><p class="date">'+time+'</p></li>';
	}
	//最多显示200条
	if(barrageNum >= 200 && isAutoScroll){
		$("#barrageList>li").last().remove();
	}
	barrageNum ++;
	$("#barrageList").prepend(msgHtml);
	if(!isAutoScroll){
		var scrollY = parseInt((document.getElementById("scrollPage").style.webkitTransform).split(",")[1]);
		scrollY = scrollY - $("#barrageList>li").first().outerHeight();
		mui("#scrollPageWrap").scroll().scrollTo(0,scrollY,0);
		if($("#newSpeak").length <= 0){
			$("body").append('<div class="newSpeak f-toe" id="newSpeak">新消息</div>');
			mui("body").on('tap','#newSpeak',function(){
				mui("#scrollPageWrap").scroll().scrollTo(0,-158,0);
				$("#newSpeak").remove();
				$("#barrageList>li:gt(199)").remove();
			})
		}
	}
}

//支持球队
function teamSupport(target){
	if(target.hasClass("disabled")){
		return false;
	}
	$(".praise").addClass("disabled");
	var userId = getStorage().userInfo ? getStorage().userInfo.userId : "";
	var flag = target.hasClass("praiseH") ? 1 : 2;
	var params = {
		userId : userId,
		deviceId : getStorage().deviceInfo.deviceId,
		eventId : getStorage().eventData.id,
		flag : flag,
		timestamp : (new Date()).getTime()
	}
	cordova.exec(function(result){
		params.sign = result;
		$.ajax({
			url:"http://"+domain+"/api/event/support",
			type:"post",
			dataType:"json",
			data:params,
			async:true,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					if(data.message == "支持成功"){
						flag == 1 ? $("#praisenumH").text(parseInt($("#praisenumH").text())+1) : "";
						flag == 2 ? $("#praisenumV").text(parseInt($("#praisenumV").text())+1) : "";
						setSupportRatio(parseInt($("#praisenumH").text()),parseInt($("#praisenumV").text()));
					}
					mui.alert(data.message);
				}
				else{
					mui.alert(data.message);
				}
				$(".praise").removeClass("disabled");
			},
			complete : function(XMLHttpRequest,status){ //请求完成后最终执行参数
				if(status == 'timeout'){
					if($(".mui-toast-container.mui-active").length <= 0){
						mui.toast("请求超时",1000);
					}
					$(".praise").removeClass("disabled");
				}
				else if(status == 'error'){
					if($(".mui-toast-container.mui-active").length <= 0){
						mui.toast("网络异常，请检查您的网络",3000);
					}
					$(".praise").removeClass("disabled");
				}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}

// 本页面返回列表页不使用back，使用back会导致下拉和上拉刷新的 ajax 总返回同样的值。
function registerBack() {
	//更改安卓手机回退键动作
	var muiBack = mui.back;
	var backUp = function(message){
		if(message == "" || message == undefined){
			if ($('#view-wrap').length > 0 && viewApi.canBack()) { //如果view可以后退，则执行view的后退
				viewApi.back();
				navigator.accelerometer.clearWatch(watchID);
				if($(".mui-backdrop").length > 0){
					$(".mui-backdrop").show();
				}
			}
			else { //执行webview后退
				setTimeout(function(){
					if($("#pageIndex").length > 0){
						cordova.exec(null,null,"ActivityManagerPlugin","finishPressed",[]);
					}
					else{
//						top.history.back();
						location.href='index.html'
					}
					//muiBack();
				},100)
			}
		}
	}
	mui.back = backUp;
}
