function linkConfig(){
	//初始化连接状态数据
	mfLinkDataInit();
	//获取连接状态
	getConnectState();
	setConnectStateCallback();
	//检测设备上下线
	setDeviceOnlineCallback();
	setDeviceOfflineCallback();
	//设备操作事件绑定
	mfLinkBind();
}

//初始化连接状态数据
function mfLinkDataInit(){
	var linkData = getStorage().linkData;
	if(!linkData){
		linkData = new Object();
		linkData.openDanmu = true;
		linkData.openMagic = true;
		linkData.state = 0;
		updateStorage("linkData",linkData,true);
	}
	if(linkData.state == 2){
		$("#seekDevice").hide();
		$("#deviceBtn").show();
	}
	else{
		$("#seekDevice").show();
		$("#deviceBtn").hide();
	}
	if(!$("#seekDevice").is(":hidden")){
		setScanStateCallback();
		mui("body").on('tap','#seekDevice',function(){
			if($(this).hasClass("antRotate")){
				$(this).removeClass("antRotate");
			}
			else{
				startScanDevice();
			}
		})
	}
}

//检测是否已连接设备
function checkIsConnected(){
	var token = getStorage().chatroomToken.tv_token;
	var userId = getStorage().userInfo ? getStorage().userInfo.userId : "";
	var mobileDeviceId = getStorage().deviceInfo.deviceId;
	var eventId = getStorage().eventData.id;
	var chatRoomId = getStorage().chatroom.chatId;
	var pushTag = getStorage().eventData.eventWatchingTVTag;
	if(getStorage().linkData.state == 2){ //已连接设备
		var eventData = getStorage().eventData;
		var eventLastData = getStorage().eventLastData;

		// 如果 danmuEvent 未定义，则说明连接后没有投射弹幕，直接投射
		if (!getStorage().linkData.danmuEvent) {
			startDanmaku(token,userId,mobileDeviceId,eventId,chatRoomId,pushTag);
		}
		else if(eventData.id != getStorage().linkData.danmuEvent){ //切换赛事
			mui.confirm('是否在电视上显示本场比赛弹幕?', ' ', ['否','是'], function(e) {
				if(e.index == 1){
					startDanmaku(token,userId,mobileDeviceId,eventId,chatRoomId,pushTag);
				}
				updateStorage("eventData",eventData);
			})
		}
		else{
			startDanmaku(token,userId,mobileDeviceId,eventId,chatRoomId,pushTag);
		}
	}
	else{ //未连接设备
		cordova.exec(function(result){
			var result = JSON.parse(result);
			var deviceList = result.devices;
			cordova.exec(function(){
				if(deviceList.length > 0){
					var confirmHtml = '发现可连接设备，是否连接并在电视上显示本场比赛弹幕?<br/><ul class="deviceSelect" id="deviceSelect">';
					for(var i = 0; i < deviceList.length; i ++){
						if(i == 0){
							confirmHtml += '<li class="sel"><span class="iconfont">&#xe601;</span>'+deviceList[i].friendlyName+'</li>';
						}
						else{
							confirmHtml += '<li><span class="iconfont">&#xe601;</span>'+deviceList[i].friendlyName+'</li>';
						}
					}
					confirmHtml += '</ul>';
					mui("body").on("tap",".mui-popup-text #deviceSelect li",function(){
						$(this).addClass("sel").siblings().removeClass("sel");
					})
					mui.confirm(confirmHtml, getStorage().chatroom.chatName, ['取消','连接'], function(e) {
						if(e.index == 1){
							var idx = $("#deviceSelect>li.sel").index();
							connectAndStartDanmaku(deviceList[idx].deviceId,token,userId,mobileDeviceId,eventId,chatRoomId,pushTag);
						}
					})
				}
			},null,"MFLinkManagerPlugin","disconnectDevice",[]);
		},null,"MFLinkManagerPlugin","getDeviceList",[]);
	}
}

//设备操作事件绑定
function mfLinkBind(){
	//连接设备
	mui("#popoverDevice").on('tap','li',function(){
		if($(this).hasClass("connect")){
			return;
		}
		if(this.id != "exitLink"){
			var deviceInfo = $(this).data("info");
			var deviceId = deviceInfo.deviceId;
			if($("#pageMatch").length > 0){
				var token = getStorage().chatroomToken.tv_token;
				var userId = getStorage().userInfo ? getStorage().userInfo.userId : "";
				var mobileDeviceId = getStorage().deviceInfo.deviceId;
				var eventId = getStorage().eventData.id;
				var chatRoomId = getStorage().chatroom.chatId;
				var pushTag = getStorage().eventData.eventWatchingTVTag;
				connectAndStartDanmaku(deviceId,token,userId,mobileDeviceId,eventId,chatRoomId,pushTag);
			}
			else{
				connectDevice(deviceId);
			}
		}
		else{
			if(!$(this).hasClass("disabled")){
				disconnectDevice();
			}
		}
		mui('#popoverDevice').popover('hide');
	})
	//切换弹幕
	mui("#popoverEffect").on('tap','#toggleDanmu',function(){
		var linkData = getStorage().linkData;
		var openDanmu = linkData.openDanmu;
		openDanmu ? hideDanmaku() : showDanmaku();
	})
	//切换魔法
	mui("#popoverEffect").on('tap','#toggleMagic',function(){
		var linkData = getStorage().linkData;
		var openMagic = linkData.openMagic;
		toggleMagicEmoji(!openMagic);
	})
}

//设备界面设定
function mfLinkView(){
	var state = getStorage().linkData.state;
	var device = getStorage().linkData.device;
	if(state == 0){
		$("#deviceBtn").html("&#xe61d;").removeClass("connected");
		$("#exitLink").addClass("disabled");
	}
	else if(state == 1){
		$("#deviceBtn").html("&#xe61d;").removeClass("connected");
		$("#exitLink").addClass("disabled");
	}
	else if(state == 2){
		$("#deviceBtn").html("&#xe602;").addClass("connected");
		$("#exitLink").removeClass("disabled");
		if($("#pageMatch").length > 0){
			openDanmuState(getStorage().linkData.openDanmu);
			openMagicState(getStorage().linkData.openMagic);
		}
	}
}

//应用安装后，是否连接过设备
function isConnectedYet() {
	cordova.exec(function(){

	},null,"MFLinkManagerPlugin","isConnectedYet",[]);
}
//获取是否需要重连设备的信息
function getReconnectInfo() {
	cordova.exec(function(){

	},null,"MFLinkManagerPlugin","getReconnectInfo",[]);
}
//启动弹幕
function startDanmaku(token,userId,mobileDeviceId,eventId,chatRoomId,pushTag) {
	cordova.exec(function(){
		var eventLastData = getStorage().eventLastData;
		var linkData = getStorage().linkData;
		if(eventId != eventLastData.id && eventId != linkData.danmuEvent){ //切换赛事
			window.plugins.toast.show("成功启动弹幕", 'short', 'bottom');
		}

		// // 这里不能直接设置显示弹幕，因为从魔法表情返回时会调用到这里
		// // 应该从底层获取后再设置
		// if (linkData.openDanmu) {
		// 	showDanmaku();
		// }else {
		// 	hideDanmaku();
		// }

		// 弹幕、表情改用这个方法同步并设置
		getReceiverDanmakuInfo();

		linkData.danmuEvent = getStorage().eventData.id;
		updateStorage("linkData",linkData,true);
		//统计分析
		analyticsSend("mflink-startdanmaku",{"success":1});
	},function(){
		mui.alert("启动弹幕失败")
		//统计分析
		analyticsSend("mflink-startdanmaku",{"success":0});
	},"MFLinkManagerPlugin","startDanmaku",[{"danmakuMode":0,"token":token,"userId":userId,"mobileDeviceId":mobileDeviceId,"eventId":eventId,"chatRoomId":chatRoomId,"pushTag":pushTag}]);
}
//连接并启动弹幕
function connectAndStartDanmaku(deviceId,token,userId,mobileDeviceId,eventId,chatRoomId,pushTag) {
	//alert(deviceId+" "+token+" "+userId+" "+mobileDeviceId+" "+eventId+" "+chatRoomId+" "+pushTag)
	cordova.exec(function(){
		var linkData = getStorage().linkData;

		// // 应该从底层获取后再设置
		// if (linkData.openDanmu) {
		// 	showDanmaku();
		// }else {
		// 	hideDanmaku();
		// }

		// 弹幕、表情改用这个方法同步并设置
		getReceiverDanmakuInfo();
		
		linkData.danmuEvent = getStorage().eventData.id;
		updateStorage("linkData",linkData,true);
		//统计分析
		analyticsSend("mflink-startdanmaku",{"success":1});
	},function(){
		mui.alert("连接并启动弹幕失败")
		//统计分析
		analyticsSend("mflink-startdanmaku",{"success":0});
	},"MFLinkManagerPlugin","connectAndStartDanmaku",[{"danmakuMode":0,"deviceId":deviceId,"token":token,"userId":userId,"mobileDeviceId":mobileDeviceId,"eventId":eventId,"chatRoomId":chatRoomId,"pushTag":pushTag}]);
}
//连接设备
function connectDevice(deviceId) {
	cordova.exec(function(){
		var linkData = getStorage().linkData;
		delete linkData.danmuEvent;
		updateStorage("linkData",linkData,true);
	},function(){
		mui.alert("连接设备失败")
	},"MFLinkManagerPlugin","connectDevice",[{"deviceId":deviceId}]);
}
//断开设备
function disconnectDevice() {
	cordova.exec(function(){

	},null,"MFLinkManagerPlugin","hideDanmaku",[{"priority":1}]);
	cordova.exec(function(){

	},null,"MFLinkManagerPlugin","disconnectDevice",[]);
}

//通知电视端屏蔽所有语音聊天组用户。用于控制是否通过电视端播放语音聊天。
function toggleMute(value) {
	value = !value ? true : false;
	cordova.exec(null,null,"MFLinkManagerPlugin","mute",[{"muteSpeaker":value}]);
}

//屏蔽用户弹幕 ["32"]
function updateBlockedUsers(userIds){
	cordova.exec(onMessageSuccess,onMessageError,"MFLinkManagerPlugin","updateBlockedUsers",[{"userIds":userIds}]);
}

//通知电视端显示弹幕
function showDanmaku() {
	cordova.exec(function(){
		var linkData = getStorage().linkData;
		openDanmuState(true);
		linkData.openDanmu = true;
		updateStorage("linkData",linkData,true);
	},null,"MFLinkManagerPlugin","showDanmaku",[]);
}
//通知电视端隐藏弹幕
function hideDanmaku() {
	cordova.exec(function(){
		var linkData = getStorage().linkData;
		openDanmuState(false);
		linkData.openDanmu = false;
		updateStorage("linkData",linkData,true)
	},null,"MFLinkManagerPlugin","hideDanmaku",[]);
}
//显示/隐藏魔法表情
function toggleMagicEmoji(value) {
	cordova.exec(function(){
		openMagicState(value);
		var linkData = getStorage().linkData;
		linkData.openMagic = value;
		updateStorage("linkData",linkData,true);
	},null,"MFLinkManagerPlugin","showMagicEmoji",[{"show":value}]);
}

//开始扫描局域网内的电视设备
function startScanDevice(){
	cordova.exec(function(){
		$("#seekDevice").addClass("antRotate");
	},null,"MFLinkManagerPlugin","startScanDevice",[]);
}
//停止扫描局域网内的电视设备
function stopScanDevice(){
	cordova.exec(function(){
		$("#seekDevice").removeClass("antRotate");
	},null,"MFLinkManagerPlugin","stopScanDevice",[]);
}
//获取当前是否正在扫描电视设备的状态
function getScanState(){
	cordova.exec(function(result){
		JSON.parse(result).scanState == 1 ? stopScanDevice() : startScanDevice();
	},null,"MFLinkManagerPlugin","getScanState",[]);
}
//监测扫描电视设备状态
function setScanStateCallback(){
	cordova.addConstructor(function() {
		cordova.exec(function(result){
			JSON.parse(result).scanState == 1 ? $("#seekDevice").addClass("antRotate") : $("#seekDevice").removeClass("antRotate");
		},null,"MFLinkManagerPlugin","setScanStateCallback",[]);
	});
}

//手动获取连接状态
function getConnectState() {
	cordova.exec(onGetConnectState,null,"MFLinkManagerPlugin","getConnectState",[]);
}
//自动获取连接状态
function setConnectStateCallback(){
	cordova.addConstructor(function() {
		cordova.exec(onGetConnectState, null, "MFLinkManagerPlugin", "setConnectStateCallback", []);
	});
}
function onGetConnectState(result){
	//{"connectState":2,"device":{"deviceId":"MFLink-1234192.168.1.123","friendlyName":"MFLink-1234","modelName":"MFLink"}}
	var result = JSON.parse(result);
	var linkData = getStorage().linkData;
	if(result){
		//alert(JSON.stringify(result))
		var state = result.connectState;
		var device = result.device;
		if(state == 2){ //已连接
			if(linkData.state != 2){
				window.plugins.toast.show("成功连接设备 "+device.friendlyName, 'short', 'bottom');
				gifDisconnect();
			}
			linkData.device = device;
			linkData.state = state;
			updateStorage("linkData",linkData,true);
			getDeviceList(device);
			//通知电视设置赛事预约tag
			updateTvOrderEvents();
			if($("#pageMatch").length > 0){
				$('#btnEffect').attr('href','#popoverEffect').addClass("opened");
				// mui(".interactBox").off("tap","#btnEffect");
				mui(".interactBox").off().on('tap','#btnEffect',function() {
					// 获取TV设备信息
					getReceiverDanmakuInfo();
				})
				//设置弹幕开关，魔法表情显隐，弹幕透明度，弹幕字号
				// linkData.openDanmu ? showDanmaku() : hideDanmaku();
				// toggleMagicEmoji(linkData.openMagic);
				// 同步弹幕开关，魔法表情显隐 改用这个方法
				getReceiverDanmakuInfo();
				var settingInfo = getStorage().settingInfo;
				cordova.exec(null,null,"MFLinkManagerPlugin","setDanmakuTransparency",[{"transparency":settingInfo.transparency}]);
				cordova.exec(null,null,"MFLinkManagerPlugin","setDanmakuTextSizeScale",[{"scale":settingInfo.scale}]);
				
				// // 获取TV设备信息
				// getReceiverDanmakuInfo();
			}
			//设定控制开关
			vgSetSwitch();
			//通知电视屏蔽发言
			if(getStorage().eventData && getStorage().chatroomShield){
				var eid = getStorage().eventData.id;
				var chatroomShield = getStorage().chatroomShield;
				var existEvent = eventIsShield(chatroomShield,eid);
				var shieldArray = new Array();
				existEvent ? shieldArray = chatroomShield[existEvent-1].userList : "";
				updateBlockedUsers(shieldArray);
			}
			//统计分析
			analyticsSend("mflink-connected");
		}
		else{ //连接中 未连接
			if(state == 1){ //连接中
				gifConnecting();
				linkData.device = device;
			}
			else{ //未连接
				delete linkData.device;
				if(linkData.state == 1){
					gifDisconnect();
				}
				if(linkData.state != 0){
					window.plugins.toast.show("已断开设备", 'short', 'bottom');
				}
				//统计分析
				analyticsSend("mflink-disconnected");
			}
			linkData.state = state;
			updateStorage("linkData",linkData,true);
			getDeviceList();
			if($("#pageMatch").length > 0){
				$('#btnEffect').attr('href','#').removeClass("opened");
				mui(".interactBox").off().on('tap','#btnEffect',function() {
					mui.alert("当前未连接任何设备");
				})
			}
			//设定控制开关
			vgSetSwitch();
		}
	}
}

//发现设备列表
function getDeviceList(device){
	var device = device || getStorage().linkData ? getStorage().linkData.device : null;
	cordova.exec(function(result){
		var result = JSON.parse(result);
		var deviceList = result.devices;
		if(deviceList.length > 0){
			$("#deviceBtn").show();
			$("#seekDevice").hide();
			//stopScanDevice();
		}
		else{
			$("#deviceBtn").hide();
			$("#seekDevice").show();
		}
		if(deviceList.length > 0 && getStorage().linkData.state != 1){
			$('#deviceBtn').attr('href','#popoverDevice');
			mui(".mui-bar").off("tap","#deviceBtn");
			var deviceHtml = '';
			for(var i = 0; i < deviceList.length; i ++){
				var deviceItem = deviceList[i];
				var deviceId = deviceItem.deviceId;
				var friendlyName = deviceItem.friendlyName;
				var modelName = deviceItem.modelName;
				if(device && device.deviceId == deviceItem.deviceId){
					deviceHtml += '<li deviceId='+deviceId+' data-info='+JSON.stringify(deviceItem)+' class="mui-table-view-cell f-box connect"><span class="iconfont">&#xe601;</span><label>'+friendlyName+'</label></li>';
				}
				else{
					deviceHtml += '<li deviceId='+deviceId+' data-info='+JSON.stringify(deviceItem)+' class="mui-table-view-cell f-box"><span class="iconfont">&#xe601;</span><label>'+friendlyName+'</label></li>';
				}
			}
			deviceHtml += '<li id="exitLink" class="mui-table-view-cell f-box break"><span class="iconfont">&#xe61e;</span><label>退出投屏</label></li>';
			$("#deviceList").html(deviceHtml);
		}
		else{
			$('#deviceBtn').attr('href','#');
			if(getStorage().linkData.state != 1){
				mui(".mui-bar").off().on('tap','#deviceBtn',function() {
					mui.alert("当前未发现有可连接设备");
				})
			}
			$("#popoverDevice").hide();
		}
		mfLinkView();
	},null,"MFLinkManagerPlugin","getDeviceList",[]);
}

//发现有设备上线
function setDeviceOnlineCallback(){
	cordova.addConstructor(function() {
		cordova.exec(onDeviceToggleCallback, null, "MFLinkManagerPlugin", "setDeviceOnlineCallback", []);
	});
}
//发现有设备下线
function setDeviceOfflineCallback(){
	cordova.addConstructor(function() {
		cordova.exec(onDeviceToggleCallback, null, "MFLinkManagerPlugin", "setDeviceOfflineCallback", []);
	});
}
function onDeviceToggleCallback(result) {
	/*{"state":"online","device":{"deviceId":"MFLink-1234192.168.1.123","friendlyName":"MFLink-1234","modelName":"MFLink"}}*/
	var result = JSON.parse(result);
	getDeviceList();
	if(result.state == "online"){
		window.plugins.toast.show("发现新设备 "+result.device.friendlyName, 'short', 'bottom');
	}
	else{
		window.plugins.toast.show("发现有设备离线 "+result.device.friendlyName, 'short', 'bottom');
	}
}

//打开弹幕按钮显示切换
function openDanmuState(value){
	var dom = $("#toggleDanmu");
	if(value){
		dom.addClass("connect").find("label").text("关闭弹幕");
	}
	else{
		dom.removeClass("connect").find("label").text("打开弹幕");
	}
}
//魔法表情按钮显示切换
function openMagicState(value){
	var dom = $("#toggleMagic");
	if(value){
		dom.addClass("connect").find("label").text("屏蔽魔法");
	}
	else{
		dom.removeClass("connect").find("label").text("显示表情");
	}
}

//连接中状态图片序列帧
var stCnnt;
function gifConnecting(){
	var gifArray = ["&#xe61d;","&#xe61f;","&#xe601;"];
	var gifIndex = 0;
	stCnnt = setInterval(function(){
		$("#deviceBtn").html(gifArray[gifIndex]);
		gifIndex >= gifArray.length - 1 ? gifIndex = 0 : gifIndex ++;
	},500)
}

//链接断开或成功图片序列帧停止
function gifDisconnect(){
	if(stCnnt && typeof stCnnt == "number"){
		clearInterval(stCnnt);
	}
}

var stRotate;
function gifRotate(){
	var rotate = 0;
	stRotate = setInterval(function(){
		rotate += 3;
		$("#seekDevice").css("-webkit-transform","rotate("+rotate+"deg)");
		rotate >= 360 ? rotate = 0 : "";
	},10)
}

function gifRotateStop(){
	if(stRotate && typeof stRotate == "number"){
		clearInterval(stRotate);
	}
}

// 获取TV设备的属性
function getReceiverDanmakuInfo(){
	cordova.addConstructor(function() {
		cordova.exec(onReceiverDanmakuInfoCallback, null, "MFLinkManagerPlugin", "getReceiverDanmakuInfo", []);
	});
}

// 获取TV设备的属性的回调
function onReceiverDanmakuInfoCallback(result) {
	var result = JSON.parse(result);
	var ed = result.showdanmaku;
	var em = result.showmagic;

	if (typeof(ed) != "undefined") {
		if (ed) {
			showDanmaku();
		}else {
			hideDanmaku();
		};
	}else {
		// 如果没有获取到弹幕设置，则根据保存的值设置
		if (linkData.openDanmu) {
			showDanmaku();
		}else {
			hideDanmaku();
		}
	} 
	if (typeof(em) != "undefined") {
		toggleMagicEmoji(em);
	} else {
		// 如果没有获取到表情设置，则根据保存的值设置
		toggleMagicEmoji(linkData.openMagic);
	}
}