mui.init();
mui.ready(function() {
	$(function(){
		document.addEventListener("deviceready", onDeviceReady, false);
	})
});

function onDeviceReady() {
	//短信验证回调
	var onSMSVerificationResults = function(message) {
		var message = JSON.parse(message);
		if(message.event == "get_verification_code"){
			if(message.result == "success"){
				$("#pwdStep1Btn").removeClass("disabled");
				if(!viewApi.canBack()){
					viewApi.go("#view-verify");
				}
				$("#postPhone").val($("#userMobile").val());
				verifyCd();
			}
			else{
				$("#pwdStep1Btn").removeClass("disabled");
			}
		}
		else if(message.event == "submit_verification_code"){
			if(message.result == "success"){
				$("#pwdStep2Btn").removeClass("disabled");
				viewApi.go("#view-set");
				$("#postVercode").val($("#vercode").val());
			}
			else{
				$("#pwdStep2Btn").removeClass("disabled");
			}
		}
		else{
			mui.alert("未知错误");
		}
	}
	//短信事件注册
	cordova.addConstructor(function() {
		cordova.exec(onSMSVerificationResults, null, "ActivityManagerPlugin", "onSMSVerification", []);
	});
	//找回密码（第一步 填写手机）
	document.getElementById("pwdStep1Btn").addEventListener("click", function(){
		event.preventDefault();
		var $this = $(this);
		if($this.hasClass("disabled")){
			return false;
		}
		$this.addClass("disabled");
		var result = checkForm($this.parents("form"));
		if(result){
			var phone = $("#userMobile").val();
			if($("#postPhone").val() != phone){
				cordova.exec(null,null,"ActivityManagerPlugin","getVerificationCode",[{"country":"86","phone":phone}]);
			}
			else{
				$this.removeClass("disabled");
				viewApi.go("#view-verify");
			}
		}
		else{
			$this.removeClass("disabled");
		}
	}, false);
	//找回密码（第二步 验证码检测）
	document.getElementById("pwdStep2Btn").addEventListener("click", function(){
		event.preventDefault();
		var $this = $(this);
		if($this.hasClass("disabled")){
			return false;
		}
		$this.addClass("disabled");
		var result = checkForm($this.parents("form"));
		if(result){
			var phone = $("#userMobile").val();
			var vercode = $("#vercode").val();
			if($("#postVercode").val() != vercode){
				cordova.exec(null,null,"ActivityManagerPlugin","submitVerificationCode",[{"country":"86","phone":phone,"vercode":vercode}]);
			}
			else{
				$this.removeClass("disabled");
				viewApi.go("#view-set");
			}
		}
		else{
			$this.removeClass("disabled");
		}
	}, false);
	//找回密码（第三步 重置密码）
	document.getElementById("pwdSubmit").addEventListener("click", function(){
		event.preventDefault();
		var $this = $(this);
		if($this.hasClass("disabled")){
			return false;
		}
		$this.addClass("disabled");
		var result = checkForm($this.parents("form"));
		if(result){
			var newPwd = $("#userPwd").val().trim();
			//密码检测
			if(checkLength(newPwd) < 6){
				mui.alert("密码长度不能少于6位");
				$("#pwdSubmit").removeClass("disabled");
				return;
			}
			else if(checkLength(newPwd) > 12){
				mui.alert("密码长度不能超过12位");
				$("#pwdSubmit").removeClass("disabled");
				return;
			}
			else if(!checkReg(newPwd,"^[A-Za-z0-9`~!@#\$%\^&\*\(\)_\+<>\?:\"{},\.\/;'\[\\]]+$")){
				mui.alert("密码只允许包含数字、英文字母及英文符号");
				$("#pwdSubmit").removeClass("disabled");
				return;
			}

			var params = {
				userMobile : $("#userMobile").val(),
				newPwd : newPwd,
				timestamp : (new Date()).getTime()
			}
			cordova.exec(function(result){
				params.sign = result;
				$.ajax({
					url:"http://"+domain+"/api/user/findPwd",
					type:"post",
					dataType:"json",
					data:params,
					async:false,
					cache:false,
					success:function(data) {
						if(data.result && data.code == "000"){
							/*var dandanStorage = getStorage();
							 if(!dandanStorage.userInfo){
							 dandanStorage.userInfo = new Object();
							 }
							 dandanStorage.userInfo.userPwd = $("#userPwd").val();
							 setStorage(dandanStorage);*/
							mui.alert(data.message, function() {
								location.href = "login.html";
							});
						}
						else{
							mui.alert(data.message);
							$("#pwdSubmit").removeClass("disabled");
						}
					}
				})
			},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
		}
		else{
			$this.removeClass("disabled");
		}
	}, false);
	//点击发送验证码
	document.getElementById("getVerify").addEventListener("click", function(){
		if($(this).hasClass("disabled")){
			return false;
		}
		var phone = $("#userMobile").val();
		cordova.exec(null,null,"ActivityManagerPlugin","getVerificationCode",[{"country":"86","phone":phone}]);
	}, false);
	//注册密码显隐切换
	document.getElementById("togglePwd").addEventListener("click", function(){
		var inputDom = document.getElementById("userPwd");
		if(inputDom.type == "password"){
			inputDom.type = "text";
			this.innerHTML = "隐藏密码";
		}
		else{
			inputDom.type = "password";
			this.innerHTML = "显示密码";
		}
	}, false);
}