mui.init();
mui.ready(function() {
	//初始化滚动区域
	mui('.mui-scroll-wrapper').scroll({
		deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
	});
	$(function(){
		document.addEventListener("deviceready", onDeviceReady, false);
	})
});

function onDeviceReady() {
	//短信验证回调
	var onSMSVerificationResults = function(message) {
		var message = JSON.parse(message);
		if(message.event == "get_verification_code"){
			if(message.result == "success"){
				$("#regVerify").removeClass("disabled");
				if (!viewApi.canBack()){
					viewApi.go("#view-verify");
				}
				$("#postPhone").text($("#userMobile").val());
				verifyCd();
			}
			else{
				$("#regVerify").removeClass("disabled");
			}
		}
		else if(message.event == "submit_verification_code"){
			if(message.result == "success"){
				var params = {
					userMobile : $("#userMobile").val(),
					userPwd : $("#userPwd").val(),
					deviceId : device.uuid,
					ip : getStorage().ip,
					timestamp : (new Date()).getTime()
				}
				cordova.exec(function(result){
					params.sign = result;
					$.ajax({
						url:"http://"+domain+"/api/user/register",
						type:"post",
						dataType:"json",
						data:params,
						async:false,
						cache:false,
						success:function(data) {
							if(data.result && data.code == "000"){
								/*var dandanStorage = getStorage();
								 if(!dandanStorage.userInfo){
								 dandanStorage.userInfo = new Object();
								 }
								 dandanStorage.userInfo.userId = data.message.userId;
								 setStorage(dandanStorage);*/
								mui.alert('恭喜您，已成为弹弹体育的会员', function() {
									location.href = "login.html";
								});
							}
							else{
								mui.alert(data.message);
								$("#regSubmit").removeClass("disabled");
							}
						}
					})
				},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
			}
			else{
				$("#regSubmit").removeClass("disabled");
			}
		}
		else{
			mui.alert("未知错误");
		}
	}
	//短信事件注册
	cordova.addConstructor(function() {
		cordova.exec(onSMSVerificationResults, null, "ActivityManagerPlugin", "onSMSVerification", []);
	});

	//注册下一步
	document.getElementById("regVerify").addEventListener("click", function(){
		event.preventDefault();
		var $this = $(this);
		if($this.hasClass("disabled")){
			return false;
		}
		$this.addClass("disabled");
		var result = checkForm($this.parents("form"));
		if(result){
			var userPwd = $("#userPwd").val().trim();
			//密码检测
			if(checkLength(userPwd) < 6){
				mui.alert("密码长度不能少于6位");
				$this.removeClass("disabled");
				return;
			}
			else if(checkLength(userPwd) > 12){
				mui.alert("密码长度不能超过12位");
				$this.removeClass("disabled");
				return;
			}
			else if(!checkReg(userPwd,"^[A-Za-z0-9`~!@#\$%\^&\*\(\)_\+<>\?:\"{},\.\/;'\[\\]]+$")){
				mui.alert("密码只允许包含数字、英文字母及英文符号");
				$this.removeClass("disabled");
				return;
			}

			var phone = $("#userMobile").val();
			if($("#postPhone").text() != phone){
				cordova.exec(null,null,"ActivityManagerPlugin","getVerificationCode",[{"country":"86","phone":phone}]);
			}
			else{
				$this.removeClass("disabled");
				viewApi.go("#view-verify");
			}
		}
		else{
			$this.removeClass("disabled");
		}
	}, false);
	//注册提交
	document.getElementById("regSubmit").addEventListener("click", function(){
		event.preventDefault();
		var $this = $(this);
		if($this.hasClass("disabled")){
			return false;
		}
		$this.addClass("disabled");
		var result = checkForm($this.parents("form"));
		if(result){
			var phone = $("#userMobile").val();
			var vercode = $("#vercode").val();
			cordova.exec(null,null,"ActivityManagerPlugin","submitVerificationCode",[{"country":"86","phone":phone,"vercode":vercode}]);
		}
		else{
			$this.removeClass("disabled");
		}
	}, false);
	//点击发送验证码
	document.getElementById("getVerify").addEventListener("click", function(){
		if($(this).hasClass("disabled")){
			return false;
		}
		var phone = $("#userMobile").val();
		cordova.exec(null,null,"ActivityManagerPlugin","getVerificationCode",[{"country":"86","phone":phone}]);
	}, false);
	//注册密码显隐切换
	document.getElementById("togglePwd").addEventListener("click", function(){
		var inputDom = document.getElementById("userPwd");
		if(inputDom.type == "password"){
			inputDom.type = "text";
			this.innerHTML = "隐藏密码";
		}
		else{
			inputDom.type = "password";
			this.innerHTML = "显示密码";
		}
	}, false);
}