mui.init();
mui.ready(function() {
	//初始化滚动区域
	mui('.mui-scroll-wrapper').scroll({
		deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
	});
	$(function(){
		document.addEventListener("deviceready", onDeviceReady, false);
	})
});

function onDeviceReady(){
	settingInit();
	settingBind();
	//如果是ios 隐藏
	if (mui.os.ios) {
	    $(".ioshide").remove();
	}	
}

function settingInit(){
	var appInfo = getStorage().appInfo;
	$("#appVersion").text(appInfo.appVersion);
	$(".appVersionName").text(appInfo.appVersionName);
	var settingInfo = getStorage().settingInfo;
	var linkData = getStorage().linkData;
	$("#barrageOpacity").val(settingInfo.transparency*10);
	$("#barrageScale").val(settingInfo.scale*10);
	if(linkData && linkData.state == 2){
		cordova.exec(null,null,"MFLinkManagerPlugin","setDanmakuTransparency",[{"transparency":settingInfo.transparency}]);
		cordova.exec(null,null,"MFLinkManagerPlugin","setDanmakuTextSizeScale",[{"scale":settingInfo.scale}]);
	}
}

function settingBind(){
	//弹幕透明度
	$("#barrageOpacity").change(function(){
		var settingInfo = getStorage().settingInfo;
		var linkData = getStorage().linkData;
		var transparency = $(this).val()/10;
		settingInfo.transparency = transparency;
		updateStorage("settingInfo",settingInfo);
		if(linkData && linkData.state == 2){
			cordova.exec(null,null,"MFLinkManagerPlugin","setDanmakuTransparency",[{"transparency":transparency}]);
		}
	})
	//弹幕字号
	$("#barrageScale").change(function(){
		var settingInfo = getStorage().settingInfo;
		var linkData = getStorage().linkData;
		var scale = parseInt($(this).val())/10;
		settingInfo.scale = scale;
		updateStorage("settingInfo",settingInfo);
		if(linkData && linkData.state == 2){
			cordova.exec(null,null,"MFLinkManagerPlugin","setDanmakuTextSizeScale",[{"scale":scale}]);
		}
	})
	//清除缓存
	mui("body").on("tap","#clearCache",function(){
		var success = function(status) {
			clearStorage();
			window.plugins.toast.show('成功清除缓存，请重新启动APP', 'short', 'bottom');
		}
		mui.confirm('清除缓存将会删除APP当前用户信息，是否继续？', ' ', ['否','是'], function(e) {
			if(e.index == 1){
				window.cache.clear(success,null);
				window.cache.cleartemp();
			}
		})
	})
	//意见反馈
	document.getElementById("feedBacksubmit").addEventListener("click", function(){
		event.preventDefault();
		var $this = $(this);
		if($this.hasClass("disabled")){
			return false;
		}
		$this.addClass("disabled");
		var result = checkForm($this.parents("form"));
		if(result){
			if(getStorage().userInfo){
				var userId = getStorage().userInfo.userId;
				var deviceId = "";
			}
			else{
				var userId = "";
				var deviceId = getStorage().deviceInfo.deviceId;
			}
			var params = {
				userId : userId,
				deviceId : deviceId,
				content : $("#feedBack").val(),
				timestamp : (new Date()).getTime()
			}
			cordova.exec(function(result){
				params.sign = result;
				$.ajax({
					url:"http://"+domain+"/api/user/addFeedback",
					type:"post",
					dataType:"json",
					data:params,
					async:false,
					cache:false,
					success:function(data) {
						if(data.result && data.code == "000"){
							mui.alert("感谢您提出的宝贵意见！");
							$("#feedBack").val("");
							viewApi.back();
						}
						else{
							mui.alert(data.message);
						}
						$this.removeClass("disabled");
					}
				})
			},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
		}
		else{
			$this.removeClass("disabled");
		}
	})
	//版本检查
	document.getElementById("versionCheck").addEventListener("click", function(){
		if (!mui.os.ios) {
			cordova.exec(function(){
				updateStorage("autoUpdate",true,true);
			},null,"ActivityManagerPlugin","checkUpdate",[]);	
		}else {
			// alert("iOS do not check update")
		};
	})
	//播放帮助视频
	document.getElementById("helpVideo").addEventListener("click", function(){
		var dandanStorage = getStorage();
		delete dandanStorage.noFirstStart;
		setStorage(dandanStorage);
		top.location.href = "guide.html";
		/*viewApi.go("#view-video");
		$("#video").play();*/
	})
}