mui.init();
mui.ready(function() {
	//初始化滚动区域
	mui('.mui-scroll-wrapper').scroll({
		deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
	});
	$(function(){
		document.addEventListener("deviceready", onDeviceReady, false);
	})
});

function onDeviceReady() {

	userInfoBind();
	userInfoInit();
	userInfoAjax();

}

//用户个人信息初始化
function userInfoInit(){
	if(getStorage().userInfo){
		var userInfo = getStorage().userInfo;
		var third_party_user_id =userInfo.thirdPartyUserId;
		if(third_party_user_id != null){
                 $(".thirdslide").remove();
		}
		$("#userIcon").attr("src",userInfo.userIcon || "images/prtDefault.jpg");
		$("#userMobile").val(userInfo.userMobile || "");
		$(".userName").val(userInfo.nickName || "");
		$("#userName").attr("oldVal",userInfo.nickName || "");
		$(".userSignature").val(userInfo.userSignature || "");
		$("#userSignature").attr("oldVal",userInfo.userSignature || "");
		$("#regVerify").removeClass("hide");
		if(userInfo.userMobile &&　userInfo.userMobile　!= ""){
			$("#regVerify").addClass("hasCf").text("已认证");
			$("#userMobile").attr("readonly","readonly");
		}
		if(userInfo.isSettingPwd){
			$("#oldPwd").attr("data-tipNull","请输入您的原密码").parent().show();
			$("#newPwd").attr("placeholder","请输入6~12位密码");
		}
		else{
			$("#oldPwd").removeAttr("data-tipNull").parent().hide();
			$("#newPwd").attr("placeholder","请输入6~12位新密码");
		}
		$("#oldPwd,#newPwd").val("");
	}
}

//用户个人信息初始化
function userInfoAjax(){
	var params = {
		userId : getStorage().userInfo.userId,
		timestamp : (new Date()).getTime()
	}
	cordova.exec(function(result){
		params.sign = result;
		$.ajax({
			url:"http://"+domain+"/api/user/userInfo",
			type:"post",
			dataType:"json",
			data:params,
			async:true,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					updateStorage("userInfo",data.message,true);
					userInfoInit();
				}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}

//用户个人信息事件绑定
function userInfoBind(){
	//退出登录
	mui("body").on('tap','#logout',function() {
		clearStorage();
		hrefByToken("index.html");
	})
	//进入信息项view
	mui(".vipInfo>li").on('tap','a.f-flex',function() {
		$(".inputText").blur();
	})
	//返回个人信息页面
	mui("body").on('tap','.backUserInfo',function() {
		$(".ufConfirm").addClass("disabled");
		$("#userName").val($("#userName").attr("oldVal"));
		$("#userSignature").val($("#userSignature").attr("oldVal"));
	})
	//修改昵称
	$("#userName").keyup(function(e){
		var userInfo = getStorage().userInfo;
		if($("#userName").val() != userInfo.nickName){
			$(".ufConfirm").removeClass("disabled");
		}
		else{
			$(".ufConfirm").addClass("disabled");
		}
	})
	//修改签名
	$("#userSignature").keyup(function(){
		var userInfo = getStorage().userInfo;
		if($("#userSignature").val() != userInfo.userSignature){
			$(".ufConfirm").removeClass("disabled");
		}
		else{
			$(".ufConfirm").addClass("disabled");
		}
	})
	//确认更改
	mui("body").on('tap','.ufConfirm',function() {
		var $this = $(this);
		if($this.hasClass("disabled")){
			return;
		}
		$this.addClass("disabled");
		var userInfo = getStorage().userInfo;
		var userData = new Object();
		//昵称检测
		if($(this).hasClass("ufConfirm_userName")){
			var userName = $("#userName").val().trim();
			cordova.exec(function(result){
				if(result != "true") {
					if(userName.replace(/\s/g, "") == ""){
						mui.alert("请输入昵称");
					}
					else if(checkLength(userName) > 20){
						mui.alert("昵称过长");
					}
					else if(!checkReg(userName,"^[\u4E00-\u9FA5A-Za-z0-9_-]+$")){
						mui.alert("昵称只允许包含汉字、数字、英文字母、及‘-’、‘_’字符");
					}
					else{
						$("#userName").val() != userInfo.nickName ? userData.nickName = userName : "";
						userInfoUpdate(userData);
					}
				}
				else{
					mui.alert("有非法字符");
				}
				$this.removeClass("disabled");
			},onMessageError,"ActivityManagerPlugin","checkSensitiveWord",[{"value":userName}]);
		}
		//签名检测
		if($(this).hasClass("ufConfirm_userSignature")){
			var userSignature = $("#userSignature").val().trim();
			cordova.exec(function(result){
				if(result != "true") {
					if(checkLength(userSignature) > 84){
						mui.alert("签名过长");
					}
					else{
						$("#userSignature").val() != userInfo.userSignature ? userData.userSignature = userSignature : "";
						userInfoUpdate(userData);
					}
				}
				else{
					mui.alert("有非法字符");
				}
				$this.removeClass("disabled");
			},onMessageError,"ActivityManagerPlugin","checkSensitiveWord",[{"value":userSignature}]);
		}
	})
	//短信验证回调
	var onSMSVerificationResults = function(message) {
		var message = JSON.parse(message);
		if(message.event == "get_verification_code"){
			if(message.result == "success"){
				$("#regVerify").removeClass("disabled");
				if (!viewApi.canBack()){
					viewApi.go("#view-verify");
				}
				$("#postPhone").text($("#userMobile").val());
				verifyCd();
			}
			else{
				$("#regVerify").removeClass("disabled");
			}
		}
		else if(message.event == "submit_verification_code"){
			if(message.result == "success"){
				if($(this).hasClass("disabled")){
					return;
				}
				var userData = new Object();
				userData.userMobile = $("#userMobile").val();
				userInfoUpdate(userData);
			}
			else{
				$("#regSubmit").removeClass("disabled");
			}
		}
		else{
			mui.alert("未知错误");
		}
	}
	//短信事件注册
	cordova.addConstructor(function() {
		cordova.exec(onSMSVerificationResults, null, "ActivityManagerPlugin", "onSMSVerification", []);
	});
	//手机认证
	document.getElementById("regVerify").addEventListener("click", function(){
		event.preventDefault();
		var $this = $(this);
		if($this.hasClass("disabled") || $this.hasClass("hasCf")){
			return false;
		}
		$this.addClass("disabled");
		var result = checkForm($this.parent().prev("form"));
		if(result){
			var phone = $("#userMobile").val();
			if($("#postPhone").text() != phone){
				cordova.exec(null,null,"ActivityManagerPlugin","getVerificationCode",[{"country":"86","phone":phone}]);
			}
			else{
				$this.removeClass("disabled");
				viewApi.go("#view-verify");
			}
		}
		else{
			$this.removeClass("disabled");
		}
	}, false);
	//点击发送验证码
	document.getElementById("getVerify").addEventListener("click", function(){
		if($(this).hasClass("disabled")){
			return false;
		}
		var phone = $("#userMobile").val();
		cordova.exec(null,null,"ActivityManagerPlugin","getVerificationCode",[{"country":"86","phone":phone}]);
	}, false);
	//绑定手机提交
	document.getElementById("regSubmit").addEventListener("click", function(){
		event.preventDefault();
		var $this = $(this);
		if($this.hasClass("disabled")){
			return false;
		}
		$this.addClass("disabled");
		var result = checkForm($this.parents("form"));
		if(result){
			var phone = $("#userMobile").val();
			var vercode = $("#vercode").val();
			cordova.exec(null,null,"ActivityManagerPlugin","submitVerificationCode",[{"country":"86","phone":phone,"vercode":vercode}]);
		}
		else{
			$this.removeClass("disabled");
		}
	}, false);
	//注册密码显隐切换
	document.getElementById("togglePwd").addEventListener("click", function(){
		var inputDom = $(".pwdInput")
		if(inputDom.attr("type") == "password"){
			inputDom.attr("type","text");
			this.innerHTML = "隐藏密码";
		}
		else{
			inputDom.attr("type","password");
			this.innerHTML = "显示密码";
		}
	}, false);
	//确定修改密码
	document.getElementById("pwdSetSubmit").addEventListener("click", function(){
		event.preventDefault();
		var $this = $(this);
		if($this.hasClass("disabled")){
			return false;
		}
		$this.addClass("disabled");
		var result = checkForm($this.parents("form"));
		if(result){
			var oldPwd = $("#oldPwd").val().trim() || "";
			var newPwd = $("#newPwd").val().trim();
			//密码检测
			if(checkLength(newPwd) < 6){
				mui.alert("密码长度不能少于6位");
				$this.removeClass("disabled");
				return;
			}
			else if(checkLength(newPwd) > 12){
				mui.alert("密码长度不能超过12位");
				$this.removeClass("disabled");
				return;
			}
			else if(!checkReg(newPwd,"^[A-Za-z0-9`~!@#\$%\^&\*\(\)_\+<>\?:\"{},\.\/;'\[\\]]+$")){
				mui.alert("密码只允许包含数字、英文字母及英文符号");
				$this.removeClass("disabled");
				return;
			}

			var params = {
				userId : getStorage().userInfo.userId,
				oldPwd : oldPwd,
				newPwd : newPwd,
				timestamp : (new Date()).getTime()
			}
			cordova.exec(function(result){
				params.sign = result;
				$.ajax({
					url:"http://"+domain+"/api/user/update-pwd",
					type:"post",
					dataType:"json",
					data:params,
					async:false,
					cache:false,
					success:function(data) {
						if(data.result && data.code == "000"){
							var userInfo = getStorage().userInfo;
							userInfo.isSettingPwd = 1;
							updateStorage("userInfo",userInfo,true);
							userInfoInit();
							mui.alert("密码修改成功");
							viewApi.back();
						}
						else{
							mui.alert(data.message);
							$this.removeClass("disabled");
						}
					}
				})
			},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
		}
		else{
			$this.removeClass("disabled");
		}
	}, false);
}

//用户个人信息更新
function userInfoUpdate(userData){
	userData.userId = getStorage().userInfo.userId;
	userData.timestamp = (new Date()).getTime();
	var params = userData;
	cordova.exec(function(result){
		params.sign = result;
		$.ajax({
			url:"http://"+domain+"/api/user/updateUserInfo",
			type:"post",
			dataType:"json",
			data:params,
			async:false,
			cache:false,
			success:function(data) {
				if(data.result && data.code == "000"){
					var userInfo = getStorage().userInfo;
					$.extend(userInfo,userData);
					updateStorage("userInfo",userInfo);
					userInfoInit();
					$(".ufConfirm").addClass("disabled");
					viewApi.back();
				}
				else{
					mui.alert(data.message);
					$("#regSubmit").removeClass("disabled");
				}
			}
		})
	},onMessageError,"ActivityManagerPlugin","encryptParams",[params]);
}